/* See LICENSE file for license and copyright information */

#ifndef GIRARA_GTK2_COMPAT_H
#define GIRARA_GTK2_COMPAT_H

#if GTK_MAJOR_VERSION == 2
#if GTK_MINOR_VERSION < 22
#include <gdk/gdkkeysyms.h>
// auto generated with grep "#define GDK_KEY" gdk/gdkkeysyms.h | awk '{print
// "#define "$2 " " $2}' |  gawk '{$0=gensub(/_KEY/,"",2)}; 1'
#define GDK_KEY_VoidSymbol GDK_VoidSymbol
#define GDK_KEY_BackSpace GDK_BackSpace
#define GDK_KEY_Tab GDK_Tab
#define GDK_KEY_Linefeed GDK_Linefeed
#define GDK_KEY_Clear GDK_Clear
#define GDK_KEY_Return GDK_Return
#define GDK_KEY_Pause GDK_Pause
#define GDK_KEY_Scroll_Lock GDK_Scroll_Lock
#define GDK_KEY_Sys_Req GDK_Sys_Req
#define GDK_KEY_Escape GDK_Escape
#define GDK_KEY_Delete GDK_Delete
#define GDK_KEY_Multi_key GDK_Multi_key
#define GDK_KEY_Codeinput GDK_Codeinput
#define GDK_KEY_SingleCandidate GDK_SingleCandidate
#define GDK_KEY_MultipleCandidate GDK_MultipleCandidate
#define GDK_KEY_PreviousCandidate GDK_PreviousCandidate
#define GDK_KEY_Kanji GDK_Kanji
#define GDK_KEY_Muhenkan GDK_Muhenkan
#define GDK_KEY_Henkan_Mode GDK_Henkan_Mode
#define GDK_KEY_Henkan GDK_Henkan
#define GDK_KEY_Romaji GDK_Romaji
#define GDK_KEY_Hiragana GDK_Hiragana
#define GDK_KEY_Katakana GDK_Katakana
#define GDK_KEY_Hiragana_Katakana GDK_Hiragana_Katakana
#define GDK_KEY_Zenkaku GDK_Zenkaku
#define GDK_KEY_Hankaku GDK_Hankaku
#define GDK_KEY_Zenkaku_Hankaku GDK_Zenkaku_Hankaku
#define GDK_KEY_Touroku GDK_Touroku
#define GDK_KEY_Massyo GDK_Massyo
#define GDK_KEY_Kana_Lock GDK_Kana_Lock
#define GDK_KEY_Kana_Shift GDK_Kana_Shift
#define GDK_KEY_Eisu_Shift GDK_Eisu_Shift
#define GDK_KEY_Eisu_toggle GDK_Eisu_toggle
#define GDK_KEY_Kanji_Bangou GDK_Kanji_Bangou
#define GDK_KEY_Zen_Koho GDK_Zen_Koho
#define GDK_KEY_Mae_Koho GDK_Mae_Koho
#define GDK_KEY_Home GDK_Home
#define GDK_KEY_Left GDK_Left
#define GDK_KEY_Up GDK_Up
#define GDK_KEY_Right GDK_Right
#define GDK_KEY_Down GDK_Down
#define GDK_KEY_Prior GDK_Prior
#define GDK_KEY_Page_Up GDK_Page_Up
#define GDK_KEY_Next GDK_Next
#define GDK_KEY_Page_Down GDK_Page_Down
#define GDK_KEY_End GDK_End
#define GDK_KEY_Begin GDK_Begin
#define GDK_KEY_Select GDK_Select
#define GDK_KEY_Print GDK_Print
#define GDK_KEY_Execute GDK_Execute
#define GDK_KEY_Insert GDK_Insert
#define GDK_KEY_Undo GDK_Undo
#define GDK_KEY_Redo GDK_Redo
#define GDK_KEY_Menu GDK_Menu
#define GDK_KEY_Find GDK_Find
#define GDK_KEY_Cancel GDK_Cancel
#define GDK_KEY_Help GDK_Help
#define GDK_KEY_Break GDK_Break
#define GDK_KEY_Mode_switch GDK_Mode_switch
#define GDK_KEY_script_switch GDK_script_switch
#define GDK_KEY_Num_Lock GDK_Num_Lock
#define GDK_KEY_KP_Space GDK_KP_Space
#define GDK_KEY_KP_Tab GDK_KP_Tab
#define GDK_KEY_KP_Enter GDK_KP_Enter
#define GDK_KEY_KP_F1 GDK_KP_F1
#define GDK_KEY_KP_F2 GDK_KP_F2
#define GDK_KEY_KP_F3 GDK_KP_F3
#define GDK_KEY_KP_F4 GDK_KP_F4
#define GDK_KEY_KP_Home GDK_KP_Home
#define GDK_KEY_KP_Left GDK_KP_Left
#define GDK_KEY_KP_Up GDK_KP_Up
#define GDK_KEY_KP_Right GDK_KP_Right
#define GDK_KEY_KP_Down GDK_KP_Down
#define GDK_KEY_KP_Prior GDK_KP_Prior
#define GDK_KEY_KP_Page_Up GDK_KP_Page_Up
#define GDK_KEY_KP_Next GDK_KP_Next
#define GDK_KEY_KP_Page_Down GDK_KP_Page_Down
#define GDK_KEY_KP_End GDK_KP_End
#define GDK_KEY_KP_Begin GDK_KP_Begin
#define GDK_KEY_KP_Insert GDK_KP_Insert
#define GDK_KEY_KP_Delete GDK_KP_Delete
#define GDK_KEY_KP_Equal GDK_KP_Equal
#define GDK_KEY_KP_Multiply GDK_KP_Multiply
#define GDK_KEY_KP_Add GDK_KP_Add
#define GDK_KEY_KP_Separator GDK_KP_Separator
#define GDK_KEY_KP_Subtract GDK_KP_Subtract
#define GDK_KEY_KP_Decimal GDK_KP_Decimal
#define GDK_KEY_KP_Divide GDK_KP_Divide
#define GDK_KEY_KP_0 GDK_KP_0
#define GDK_KEY_KP_1 GDK_KP_1
#define GDK_KEY_KP_2 GDK_KP_2
#define GDK_KEY_KP_3 GDK_KP_3
#define GDK_KEY_KP_4 GDK_KP_4
#define GDK_KEY_KP_5 GDK_KP_5
#define GDK_KEY_KP_6 GDK_KP_6
#define GDK_KEY_KP_7 GDK_KP_7
#define GDK_KEY_KP_8 GDK_KP_8
#define GDK_KEY_KP_9 GDK_KP_9
#define GDK_KEY_F1 GDK_F1
#define GDK_KEY_F2 GDK_F2
#define GDK_KEY_F3 GDK_F3
#define GDK_KEY_F4 GDK_F4
#define GDK_KEY_F5 GDK_F5
#define GDK_KEY_F6 GDK_F6
#define GDK_KEY_F7 GDK_F7
#define GDK_KEY_F8 GDK_F8
#define GDK_KEY_F9 GDK_F9
#define GDK_KEY_F10 GDK_F10
#define GDK_KEY_F11 GDK_F11
#define GDK_KEY_L1 GDK_L1
#define GDK_KEY_F12 GDK_F12
#define GDK_KEY_L2 GDK_L2
#define GDK_KEY_F13 GDK_F13
#define GDK_KEY_L3 GDK_L3
#define GDK_KEY_F14 GDK_F14
#define GDK_KEY_L4 GDK_L4
#define GDK_KEY_F15 GDK_F15
#define GDK_KEY_L5 GDK_L5
#define GDK_KEY_F16 GDK_F16
#define GDK_KEY_L6 GDK_L6
#define GDK_KEY_F17 GDK_F17
#define GDK_KEY_L7 GDK_L7
#define GDK_KEY_F18 GDK_F18
#define GDK_KEY_L8 GDK_L8
#define GDK_KEY_F19 GDK_F19
#define GDK_KEY_L9 GDK_L9
#define GDK_KEY_F20 GDK_F20
#define GDK_KEY_L10 GDK_L10
#define GDK_KEY_F21 GDK_F21
#define GDK_KEY_R1 GDK_R1
#define GDK_KEY_F22 GDK_F22
#define GDK_KEY_R2 GDK_R2
#define GDK_KEY_F23 GDK_F23
#define GDK_KEY_R3 GDK_R3
#define GDK_KEY_F24 GDK_F24
#define GDK_KEY_R4 GDK_R4
#define GDK_KEY_F25 GDK_F25
#define GDK_KEY_R5 GDK_R5
#define GDK_KEY_F26 GDK_F26
#define GDK_KEY_R6 GDK_R6
#define GDK_KEY_F27 GDK_F27
#define GDK_KEY_R7 GDK_R7
#define GDK_KEY_F28 GDK_F28
#define GDK_KEY_R8 GDK_R8
#define GDK_KEY_F29 GDK_F29
#define GDK_KEY_R9 GDK_R9
#define GDK_KEY_F30 GDK_F30
#define GDK_KEY_R10 GDK_R10
#define GDK_KEY_F31 GDK_F31
#define GDK_KEY_R11 GDK_R11
#define GDK_KEY_F32 GDK_F32
#define GDK_KEY_R12 GDK_R12
#define GDK_KEY_F33 GDK_F33
#define GDK_KEY_R13 GDK_R13
#define GDK_KEY_F34 GDK_F34
#define GDK_KEY_R14 GDK_R14
#define GDK_KEY_F35 GDK_F35
#define GDK_KEY_R15 GDK_R15
#define GDK_KEY_Shift_L GDK_Shift_L
#define GDK_KEY_Shift_R GDK_Shift_R
#define GDK_KEY_Control_L GDK_Control_L
#define GDK_KEY_Control_R GDK_Control_R
#define GDK_KEY_Caps_Lock GDK_Caps_Lock
#define GDK_KEY_Shift_Lock GDK_Shift_Lock
#define GDK_KEY_Meta_L GDK_Meta_L
#define GDK_KEY_Meta_R GDK_Meta_R
#define GDK_KEY_Alt_L GDK_Alt_L
#define GDK_KEY_Alt_R GDK_Alt_R
#define GDK_KEY_Super_L GDK_Super_L
#define GDK_KEY_Super_R GDK_Super_R
#define GDK_KEY_Hyper_L GDK_Hyper_L
#define GDK_KEY_Hyper_R GDK_Hyper_R
#define GDK_KEY_ISO_Lock GDK_ISO_Lock
#define GDK_KEY_ISO_Level2_Latch GDK_ISO_Level2_Latch
#define GDK_KEY_ISO_Level3_Shift GDK_ISO_Level3_Shift
#define GDK_KEY_ISO_Level3_Latch GDK_ISO_Level3_Latch
#define GDK_KEY_ISO_Level3_Lock GDK_ISO_Level3_Lock
#define GDK_KEY_ISO_Level5_Shift GDK_ISO_Level5_Shift
#define GDK_KEY_ISO_Level5_Latch GDK_ISO_Level5_Latch
#define GDK_KEY_ISO_Level5_Lock GDK_ISO_Level5_Lock
#define GDK_KEY_ISO_Group_Shift GDK_ISO_Group_Shift
#define GDK_KEY_ISO_Group_Latch GDK_ISO_Group_Latch
#define GDK_KEY_ISO_Group_Lock GDK_ISO_Group_Lock
#define GDK_KEY_ISO_Next_Group GDK_ISO_Next_Group
#define GDK_KEY_ISO_Next_Group_Lock GDK_ISO_Next_Group_Lock
#define GDK_KEY_ISO_Prev_Group GDK_ISO_Prev_Group
#define GDK_KEY_ISO_Prev_Group_Lock GDK_ISO_Prev_Group_Lock
#define GDK_KEY_ISO_First_Group GDK_ISO_First_Group
#define GDK_KEY_ISO_First_Group_Lock GDK_ISO_First_Group_Lock
#define GDK_KEY_ISO_Last_Group GDK_ISO_Last_Group
#define GDK_KEY_ISO_Last_Group_Lock GDK_ISO_Last_Group_Lock
#define GDK_KEY_ISO_Left_Tab GDK_ISO_Left_Tab
#define GDK_KEY_ISO_Move_Line_Up GDK_ISO_Move_Line_Up
#define GDK_KEY_ISO_Move_Line_Down GDK_ISO_Move_Line_Down
#define GDK_KEY_ISO_Partial_Line_Up GDK_ISO_Partial_Line_Up
#define GDK_KEY_ISO_Partial_Line_Down GDK_ISO_Partial_Line_Down
#define GDK_KEY_ISO_Partial_Space_Left GDK_ISO_Partial_Space_Left
#define GDK_KEY_ISO_Partial_Space_Right GDK_ISO_Partial_Space_Right
#define GDK_KEY_ISO_Set_Margin_Left GDK_ISO_Set_Margin_Left
#define GDK_KEY_ISO_Set_Margin_Right GDK_ISO_Set_Margin_Right
#define GDK_KEY_ISO_Release_Margin_Left GDK_ISO_Release_Margin_Left
#define GDK_KEY_ISO_Release_Margin_Right GDK_ISO_Release_Margin_Right
#define GDK_KEY_ISO_Release_Both_Margins GDK_ISO_Release_Both_Margins
#define GDK_KEY_ISO_Fast_Cursor_Left GDK_ISO_Fast_Cursor_Left
#define GDK_KEY_ISO_Fast_Cursor_Right GDK_ISO_Fast_Cursor_Right
#define GDK_KEY_ISO_Fast_Cursor_Up GDK_ISO_Fast_Cursor_Up
#define GDK_KEY_ISO_Fast_Cursor_Down GDK_ISO_Fast_Cursor_Down
#define GDK_KEY_ISO_Continuous_Underline GDK_ISO_Continuous_Underline
#define GDK_KEY_ISO_Discontinuous_Underline GDK_ISO_Discontinuous_Underline
#define GDK_KEY_ISO_Emphasize GDK_ISO_Emphasize
#define GDK_KEY_ISO_Center_Object GDK_ISO_Center_Object
#define GDK_KEY_ISO_Enter GDK_ISO_Enter
#define GDK_KEY_dead_grave GDK_dead_grave
#define GDK_KEY_dead_acute GDK_dead_acute
#define GDK_KEY_dead_circumflex GDK_dead_circumflex
#define GDK_KEY_dead_tilde GDK_dead_tilde
#define GDK_KEY_dead_perispomeni GDK_dead_perispomeni
#define GDK_KEY_dead_macron GDK_dead_macron
#define GDK_KEY_dead_breve GDK_dead_breve
#define GDK_KEY_dead_abovedot GDK_dead_abovedot
#define GDK_KEY_dead_diaeresis GDK_dead_diaeresis
#define GDK_KEY_dead_abovering GDK_dead_abovering
#define GDK_KEY_dead_doubleacute GDK_dead_doubleacute
#define GDK_KEY_dead_caron GDK_dead_caron
#define GDK_KEY_dead_cedilla GDK_dead_cedilla
#define GDK_KEY_dead_ogonek GDK_dead_ogonek
#define GDK_KEY_dead_iota GDK_dead_iota
#define GDK_KEY_dead_voiced_sound GDK_dead_voiced_sound
#define GDK_KEY_dead_semivoiced_sound GDK_dead_semivoiced_sound
#define GDK_KEY_dead_belowdot GDK_dead_belowdot
#define GDK_KEY_dead_hook GDK_dead_hook
#define GDK_KEY_dead_horn GDK_dead_horn
#define GDK_KEY_dead_stroke GDK_dead_stroke
#define GDK_KEY_dead_abovecomma GDK_dead_abovecomma
#define GDK_KEY_dead_psili GDK_dead_psili
#define GDK_KEY_dead_abovereversedcomma GDK_dead_abovereversedcomma
#define GDK_KEY_dead_dasia GDK_dead_dasia
#define GDK_KEY_dead_doublegrave GDK_dead_doublegrave
#define GDK_KEY_dead_belowring GDK_dead_belowring
#define GDK_KEY_dead_belowmacron GDK_dead_belowmacron
#define GDK_KEY_dead_belowcircumflex GDK_dead_belowcircumflex
#define GDK_KEY_dead_belowtilde GDK_dead_belowtilde
#define GDK_KEY_dead_belowbreve GDK_dead_belowbreve
#define GDK_KEY_dead_belowdiaeresis GDK_dead_belowdiaeresis
#define GDK_KEY_dead_invertedbreve GDK_dead_invertedbreve
#define GDK_KEY_dead_belowcomma GDK_dead_belowcomma
#define GDK_KEY_dead_currency GDK_dead_currency
#define GDK_KEY_dead_a GDK_dead_a
#define GDK_KEY_dead_A GDK_dead_A
#define GDK_KEY_dead_e GDK_dead_e
#define GDK_KEY_dead_E GDK_dead_E
#define GDK_KEY_dead_i GDK_dead_i
#define GDK_KEY_dead_I GDK_dead_I
#define GDK_KEY_dead_o GDK_dead_o
#define GDK_KEY_dead_O GDK_dead_O
#define GDK_KEY_dead_u GDK_dead_u
#define GDK_KEY_dead_U GDK_dead_U
#define GDK_KEY_dead_small_schwa GDK_dead_small_schwa
#define GDK_KEY_dead_capital_schwa GDK_dead_capital_schwa
#define GDK_KEY_First_Virtual_Screen GDK_First_Virtual_Screen
#define GDK_KEY_Prev_Virtual_Screen GDK_Prev_Virtual_Screen
#define GDK_KEY_Next_Virtual_Screen GDK_Next_Virtual_Screen
#define GDK_KEY_Last_Virtual_Screen GDK_Last_Virtual_Screen
#define GDK_KEY_Terminate_Server GDK_Terminate_Server
#define GDK_KEY_AccessX_Enable GDK_AccessX_Enable
#define GDK_KEY_AccessX_Feedback_Enable GDK_AccessX_Feedback_Enable
#define GDK_KEY_RepeatKeys_Enable GDK_RepeatKeys_Enable
#define GDK_KEY_SlowKeys_Enable GDK_SlowKeys_Enable
#define GDK_KEY_BounceKeys_Enable GDK_BounceKeys_Enable
#define GDK_KEY_StickyKeys_Enable GDK_StickyKeys_Enable
#define GDK_KEY_MouseKeys_Enable GDK_MouseKeys_Enable
#define GDK_KEY_MouseKeys_Accel_Enable GDK_MouseKeys_Accel_Enable
#define GDK_KEY_Overlay1_Enable GDK_Overlay1_Enable
#define GDK_KEY_Overlay2_Enable GDK_Overlay2_Enable
#define GDK_KEY_AudibleBell_Enable GDK_AudibleBell_Enable
#define GDK_KEY_Pointer_Left GDK_Pointer_Left
#define GDK_KEY_Pointer_Right GDK_Pointer_Right
#define GDK_KEY_Pointer_Up GDK_Pointer_Up
#define GDK_KEY_Pointer_Down GDK_Pointer_Down
#define GDK_KEY_Pointer_UpLeft GDK_Pointer_UpLeft
#define GDK_KEY_Pointer_UpRight GDK_Pointer_UpRight
#define GDK_KEY_Pointer_DownLeft GDK_Pointer_DownLeft
#define GDK_KEY_Pointer_DownRight GDK_Pointer_DownRight
#define GDK_KEY_Pointer_Button_Dflt GDK_Pointer_Button_Dflt
#define GDK_KEY_Pointer_Button1 GDK_Pointer_Button1
#define GDK_KEY_Pointer_Button2 GDK_Pointer_Button2
#define GDK_KEY_Pointer_Button3 GDK_Pointer_Button3
#define GDK_KEY_Pointer_Button4 GDK_Pointer_Button4
#define GDK_KEY_Pointer_Button5 GDK_Pointer_Button5
#define GDK_KEY_Pointer_DblClick_Dflt GDK_Pointer_DblClick_Dflt
#define GDK_KEY_Pointer_DblClick1 GDK_Pointer_DblClick1
#define GDK_KEY_Pointer_DblClick2 GDK_Pointer_DblClick2
#define GDK_KEY_Pointer_DblClick3 GDK_Pointer_DblClick3
#define GDK_KEY_Pointer_DblClick4 GDK_Pointer_DblClick4
#define GDK_KEY_Pointer_DblClick5 GDK_Pointer_DblClick5
#define GDK_KEY_Pointer_Drag_Dflt GDK_Pointer_Drag_Dflt
#define GDK_KEY_Pointer_Drag1 GDK_Pointer_Drag1
#define GDK_KEY_Pointer_Drag2 GDK_Pointer_Drag2
#define GDK_KEY_Pointer_Drag3 GDK_Pointer_Drag3
#define GDK_KEY_Pointer_Drag4 GDK_Pointer_Drag4
#define GDK_KEY_Pointer_Drag5 GDK_Pointer_Drag5
#define GDK_KEY_Pointer_EnableKeys GDK_Pointer_EnableKeys
#define GDK_KEY_Pointer_Accelerate GDK_Pointer_Accelerate
#define GDK_KEY_Pointer_DfltBtnNext GDK_Pointer_DfltBtnNext
#define GDK_KEY_Pointer_DfltBtnPrev GDK_Pointer_DfltBtnPrev
#define GDK_KEY_3270_Duplicate GDK_3270_Duplicate
#define GDK_KEY_3270_FieldMark GDK_3270_FieldMark
#define GDK_KEY_3270_Right2 GDK_3270_Right2
#define GDK_KEY_3270_Left2 GDK_3270_Left2
#define GDK_KEY_3270_BackTab GDK_3270_BackTab
#define GDK_KEY_3270_EraseEOF GDK_3270_EraseEOF
#define GDK_KEY_3270_EraseInput GDK_3270_EraseInput
#define GDK_KEY_3270_Reset GDK_3270_Reset
#define GDK_KEY_3270_Quit GDK_3270_Quit
#define GDK_KEY_3270_PA1 GDK_3270_PA1
#define GDK_KEY_3270_PA2 GDK_3270_PA2
#define GDK_KEY_3270_PA3 GDK_3270_PA3
#define GDK_KEY_3270_Test GDK_3270_Test
#define GDK_KEY_3270_Attn GDK_3270_Attn
#define GDK_KEY_3270_CursorBlink GDK_3270_CursorBlink
#define GDK_KEY_3270_AltCursor GDK_3270_AltCursor
#define GDK_KEY_3270_KeyClick GDK_3270_KeyClick
#define GDK_KEY_3270_Jump GDK_3270_Jump
#define GDK_KEY_3270_Ident GDK_3270_Ident
#define GDK_KEY_3270_Rule GDK_3270_Rule
#define GDK_KEY_3270_Copy GDK_3270_Copy
#define GDK_KEY_3270_Play GDK_3270_Play
#define GDK_KEY_3270_Setup GDK_3270_Setup
#define GDK_KEY_3270_Record GDK_3270_Record
#define GDK_KEY_3270_ChangeScreen GDK_3270_ChangeScreen
#define GDK_KEY_3270_DeleteWord GDK_3270_DeleteWord
#define GDK_KEY_3270_ExSelect GDK_3270_ExSelect
#define GDK_KEY_3270_CursorSelect GDK_3270_CursorSelect
#define GDK_KEY_3270_PrintScreen GDK_3270_PrintScreen
#define GDK_KEY_3270_Enter GDK_3270_Enter
#define GDK_KEY_space GDK_space
#define GDK_KEY_exclam GDK_exclam
#define GDK_KEY_quotedbl GDK_quotedbl
#define GDK_KEY_numbersign GDK_numbersign
#define GDK_KEY_dollar GDK_dollar
#define GDK_KEY_percent GDK_percent
#define GDK_KEY_ampersand GDK_ampersand
#define GDK_KEY_apostrophe GDK_apostrophe
#define GDK_KEY_quoteright GDK_quoteright
#define GDK_KEY_parenleft GDK_parenleft
#define GDK_KEY_parenright GDK_parenright
#define GDK_KEY_asterisk GDK_asterisk
#define GDK_KEY_plus GDK_plus
#define GDK_KEY_comma GDK_comma
#define GDK_KEY_minus GDK_minus
#define GDK_KEY_period GDK_period
#define GDK_KEY_slash GDK_slash
#define GDK_KEY_0 GDK_0
#define GDK_KEY_1 GDK_1
#define GDK_KEY_2 GDK_2
#define GDK_KEY_3 GDK_3
#define GDK_KEY_4 GDK_4
#define GDK_KEY_5 GDK_5
#define GDK_KEY_6 GDK_6
#define GDK_KEY_7 GDK_7
#define GDK_KEY_8 GDK_8
#define GDK_KEY_9 GDK_9
#define GDK_KEY_colon GDK_colon
#define GDK_KEY_semicolon GDK_semicolon
#define GDK_KEY_less GDK_less
#define GDK_KEY_equal GDK_equal
#define GDK_KEY_greater GDK_greater
#define GDK_KEY_question GDK_question
#define GDK_KEY_at GDK_at
#define GDK_KEY_A GDK_A
#define GDK_KEY_B GDK_B
#define GDK_KEY_C GDK_C
#define GDK_KEY_D GDK_D
#define GDK_KEY_E GDK_E
#define GDK_KEY_F GDK_F
#define GDK_KEY_G GDK_G
#define GDK_KEY_H GDK_H
#define GDK_KEY_I GDK_I
#define GDK_KEY_J GDK_J
#define GDK_KEY_K GDK_K
#define GDK_KEY_L GDK_L
#define GDK_KEY_M GDK_M
#define GDK_KEY_N GDK_N
#define GDK_KEY_O GDK_O
#define GDK_KEY_P GDK_P
#define GDK_KEY_Q GDK_Q
#define GDK_KEY_R GDK_R
#define GDK_KEY_S GDK_S
#define GDK_KEY_T GDK_T
#define GDK_KEY_U GDK_U
#define GDK_KEY_V GDK_V
#define GDK_KEY_W GDK_W
#define GDK_KEY_X GDK_X
#define GDK_KEY_Y GDK_Y
#define GDK_KEY_Z GDK_Z
#define GDK_KEY_bracketleft GDK_bracketleft
#define GDK_KEY_backslash GDK_backslash
#define GDK_KEY_bracketright GDK_bracketright
#define GDK_KEY_asciicircum GDK_asciicircum
#define GDK_KEY_underscore GDK_underscore
#define GDK_KEY_grave GDK_grave
#define GDK_KEY_quoteleft GDK_quoteleft
#define GDK_KEY_a GDK_a
#define GDK_KEY_b GDK_b
#define GDK_KEY_c GDK_c
#define GDK_KEY_d GDK_d
#define GDK_KEY_e GDK_e
#define GDK_KEY_f GDK_f
#define GDK_KEY_g GDK_g
#define GDK_KEY_h GDK_h
#define GDK_KEY_i GDK_i
#define GDK_KEY_j GDK_j
#define GDK_KEY_k GDK_k
#define GDK_KEY_l GDK_l
#define GDK_KEY_m GDK_m
#define GDK_KEY_n GDK_n
#define GDK_KEY_o GDK_o
#define GDK_KEY_p GDK_p
#define GDK_KEY_q GDK_q
#define GDK_KEY_r GDK_r
#define GDK_KEY_s GDK_s
#define GDK_KEY_t GDK_t
#define GDK_KEY_u GDK_u
#define GDK_KEY_v GDK_v
#define GDK_KEY_w GDK_w
#define GDK_KEY_x GDK_x
#define GDK_KEY_y GDK_y
#define GDK_KEY_z GDK_z
#define GDK_KEY_braceleft GDK_braceleft
#define GDK_KEY_bar GDK_bar
#define GDK_KEY_braceright GDK_braceright
#define GDK_KEY_asciitilde GDK_asciitilde
#define GDK_KEY_nobreakspace GDK_nobreakspace
#define GDK_KEY_exclamdown GDK_exclamdown
#define GDK_KEY_cent GDK_cent
#define GDK_KEY_sterling GDK_sterling
#define GDK_KEY_currency GDK_currency
#define GDK_KEY_yen GDK_yen
#define GDK_KEY_brokenbar GDK_brokenbar
#define GDK_KEY_section GDK_section
#define GDK_KEY_diaeresis GDK_diaeresis
#define GDK_KEY_copyright GDK_copyright
#define GDK_KEY_ordfeminine GDK_ordfeminine
#define GDK_KEY_guillemotleft GDK_guillemotleft
#define GDK_KEY_notsign GDK_notsign
#define GDK_KEY_hyphen GDK_hyphen
#define GDK_KEY_registered GDK_registered
#define GDK_KEY_macron GDK_macron
#define GDK_KEY_degree GDK_degree
#define GDK_KEY_plusminus GDK_plusminus
#define GDK_KEY_twosuperior GDK_twosuperior
#define GDK_KEY_threesuperior GDK_threesuperior
#define GDK_KEY_acute GDK_acute
#define GDK_KEY_mu GDK_mu
#define GDK_KEY_paragraph GDK_paragraph
#define GDK_KEY_periodcentered GDK_periodcentered
#define GDK_KEY_cedilla GDK_cedilla
#define GDK_KEY_onesuperior GDK_onesuperior
#define GDK_KEY_masculine GDK_masculine
#define GDK_KEY_guillemotright GDK_guillemotright
#define GDK_KEY_onequarter GDK_onequarter
#define GDK_KEY_onehalf GDK_onehalf
#define GDK_KEY_threequarters GDK_threequarters
#define GDK_KEY_questiondown GDK_questiondown
#define GDK_KEY_Agrave GDK_Agrave
#define GDK_KEY_Aacute GDK_Aacute
#define GDK_KEY_Acircumflex GDK_Acircumflex
#define GDK_KEY_Atilde GDK_Atilde
#define GDK_KEY_Adiaeresis GDK_Adiaeresis
#define GDK_KEY_Aring GDK_Aring
#define GDK_KEY_AE GDK_AE
#define GDK_KEY_Ccedilla GDK_Ccedilla
#define GDK_KEY_Egrave GDK_Egrave
#define GDK_KEY_Eacute GDK_Eacute
#define GDK_KEY_Ecircumflex GDK_Ecircumflex
#define GDK_KEY_Ediaeresis GDK_Ediaeresis
#define GDK_KEY_Igrave GDK_Igrave
#define GDK_KEY_Iacute GDK_Iacute
#define GDK_KEY_Icircumflex GDK_Icircumflex
#define GDK_KEY_Idiaeresis GDK_Idiaeresis
#define GDK_KEY_ETH GDK_ETH
#define GDK_KEY_Eth GDK_Eth
#define GDK_KEY_Ntilde GDK_Ntilde
#define GDK_KEY_Ograve GDK_Ograve
#define GDK_KEY_Oacute GDK_Oacute
#define GDK_KEY_Ocircumflex GDK_Ocircumflex
#define GDK_KEY_Otilde GDK_Otilde
#define GDK_KEY_Odiaeresis GDK_Odiaeresis
#define GDK_KEY_multiply GDK_multiply
#define GDK_KEY_Oslash GDK_Oslash
#define GDK_KEY_Ooblique GDK_Ooblique
#define GDK_KEY_Ugrave GDK_Ugrave
#define GDK_KEY_Uacute GDK_Uacute
#define GDK_KEY_Ucircumflex GDK_Ucircumflex
#define GDK_KEY_Udiaeresis GDK_Udiaeresis
#define GDK_KEY_Yacute GDK_Yacute
#define GDK_KEY_THORN GDK_THORN
#define GDK_KEY_Thorn GDK_Thorn
#define GDK_KEY_ssharp GDK_ssharp
#define GDK_KEY_agrave GDK_agrave
#define GDK_KEY_aacute GDK_aacute
#define GDK_KEY_acircumflex GDK_acircumflex
#define GDK_KEY_atilde GDK_atilde
#define GDK_KEY_adiaeresis GDK_adiaeresis
#define GDK_KEY_aring GDK_aring
#define GDK_KEY_ae GDK_ae
#define GDK_KEY_ccedilla GDK_ccedilla
#define GDK_KEY_egrave GDK_egrave
#define GDK_KEY_eacute GDK_eacute
#define GDK_KEY_ecircumflex GDK_ecircumflex
#define GDK_KEY_ediaeresis GDK_ediaeresis
#define GDK_KEY_igrave GDK_igrave
#define GDK_KEY_iacute GDK_iacute
#define GDK_KEY_icircumflex GDK_icircumflex
#define GDK_KEY_idiaeresis GDK_idiaeresis
#define GDK_KEY_eth GDK_eth
#define GDK_KEY_ntilde GDK_ntilde
#define GDK_KEY_ograve GDK_ograve
#define GDK_KEY_oacute GDK_oacute
#define GDK_KEY_ocircumflex GDK_ocircumflex
#define GDK_KEY_otilde GDK_otilde
#define GDK_KEY_odiaeresis GDK_odiaeresis
#define GDK_KEY_division GDK_division
#define GDK_KEY_oslash GDK_oslash
#define GDK_KEY_ooblique GDK_ooblique
#define GDK_KEY_ugrave GDK_ugrave
#define GDK_KEY_uacute GDK_uacute
#define GDK_KEY_ucircumflex GDK_ucircumflex
#define GDK_KEY_udiaeresis GDK_udiaeresis
#define GDK_KEY_yacute GDK_yacute
#define GDK_KEY_thorn GDK_thorn
#define GDK_KEY_ydiaeresis GDK_ydiaeresis
#define GDK_KEY_Aogonek GDK_Aogonek
#define GDK_KEY_breve GDK_breve
#define GDK_KEY_Lstroke GDK_Lstroke
#define GDK_KEY_Lcaron GDK_Lcaron
#define GDK_KEY_Sacute GDK_Sacute
#define GDK_KEY_Scaron GDK_Scaron
#define GDK_KEY_Scedilla GDK_Scedilla
#define GDK_KEY_Tcaron GDK_Tcaron
#define GDK_KEY_Zacute GDK_Zacute
#define GDK_KEY_Zcaron GDK_Zcaron
#define GDK_KEY_Zabovedot GDK_Zabovedot
#define GDK_KEY_aogonek GDK_aogonek
#define GDK_KEY_ogonek GDK_ogonek
#define GDK_KEY_lstroke GDK_lstroke
#define GDK_KEY_lcaron GDK_lcaron
#define GDK_KEY_sacute GDK_sacute
#define GDK_KEY_caron GDK_caron
#define GDK_KEY_scaron GDK_scaron
#define GDK_KEY_scedilla GDK_scedilla
#define GDK_KEY_tcaron GDK_tcaron
#define GDK_KEY_zacute GDK_zacute
#define GDK_KEY_doubleacute GDK_doubleacute
#define GDK_KEY_zcaron GDK_zcaron
#define GDK_KEY_zabovedot GDK_zabovedot
#define GDK_KEY_Racute GDK_Racute
#define GDK_KEY_Abreve GDK_Abreve
#define GDK_KEY_Lacute GDK_Lacute
#define GDK_KEY_Cacute GDK_Cacute
#define GDK_KEY_Ccaron GDK_Ccaron
#define GDK_KEY_Eogonek GDK_Eogonek
#define GDK_KEY_Ecaron GDK_Ecaron
#define GDK_KEY_Dcaron GDK_Dcaron
#define GDK_KEY_Dstroke GDK_Dstroke
#define GDK_KEY_Nacute GDK_Nacute
#define GDK_KEY_Ncaron GDK_Ncaron
#define GDK_KEY_Odoubleacute GDK_Odoubleacute
#define GDK_KEY_Rcaron GDK_Rcaron
#define GDK_KEY_Uring GDK_Uring
#define GDK_KEY_Udoubleacute GDK_Udoubleacute
#define GDK_KEY_Tcedilla GDK_Tcedilla
#define GDK_KEY_racute GDK_racute
#define GDK_KEY_abreve GDK_abreve
#define GDK_KEY_lacute GDK_lacute
#define GDK_KEY_cacute GDK_cacute
#define GDK_KEY_ccaron GDK_ccaron
#define GDK_KEY_eogonek GDK_eogonek
#define GDK_KEY_ecaron GDK_ecaron
#define GDK_KEY_dcaron GDK_dcaron
#define GDK_KEY_dstroke GDK_dstroke
#define GDK_KEY_nacute GDK_nacute
#define GDK_KEY_ncaron GDK_ncaron
#define GDK_KEY_odoubleacute GDK_odoubleacute
#define GDK_KEY_udoubleacute GDK_udoubleacute
#define GDK_KEY_rcaron GDK_rcaron
#define GDK_KEY_uring GDK_uring
#define GDK_KEY_tcedilla GDK_tcedilla
#define GDK_KEY_abovedot GDK_abovedot
#define GDK_KEY_Hstroke GDK_Hstroke
#define GDK_KEY_Hcircumflex GDK_Hcircumflex
#define GDK_KEY_Iabovedot GDK_Iabovedot
#define GDK_KEY_Gbreve GDK_Gbreve
#define GDK_KEY_Jcircumflex GDK_Jcircumflex
#define GDK_KEY_hstroke GDK_hstroke
#define GDK_KEY_hcircumflex GDK_hcircumflex
#define GDK_KEY_idotless GDK_idotless
#define GDK_KEY_gbreve GDK_gbreve
#define GDK_KEY_jcircumflex GDK_jcircumflex
#define GDK_KEY_Cabovedot GDK_Cabovedot
#define GDK_KEY_Ccircumflex GDK_Ccircumflex
#define GDK_KEY_Gabovedot GDK_Gabovedot
#define GDK_KEY_Gcircumflex GDK_Gcircumflex
#define GDK_KEY_Ubreve GDK_Ubreve
#define GDK_KEY_Scircumflex GDK_Scircumflex
#define GDK_KEY_cabovedot GDK_cabovedot
#define GDK_KEY_ccircumflex GDK_ccircumflex
#define GDK_KEY_gabovedot GDK_gabovedot
#define GDK_KEY_gcircumflex GDK_gcircumflex
#define GDK_KEY_ubreve GDK_ubreve
#define GDK_KEY_scircumflex GDK_scircumflex
#define GDK_KEY_kra GDK_kra
#define GDK_KEY_kappa GDK_kappa
#define GDK_KEY_Rcedilla GDK_Rcedilla
#define GDK_KEY_Itilde GDK_Itilde
#define GDK_KEY_Lcedilla GDK_Lcedilla
#define GDK_KEY_Emacron GDK_Emacron
#define GDK_KEY_Gcedilla GDK_Gcedilla
#define GDK_KEY_Tslash GDK_Tslash
#define GDK_KEY_rcedilla GDK_rcedilla
#define GDK_KEY_itilde GDK_itilde
#define GDK_KEY_lcedilla GDK_lcedilla
#define GDK_KEY_emacron GDK_emacron
#define GDK_KEY_gcedilla GDK_gcedilla
#define GDK_KEY_tslash GDK_tslash
#define GDK_KEY_ENG GDK_ENG
#define GDK_KEY_eng GDK_eng
#define GDK_KEY_Amacron GDK_Amacron
#define GDK_KEY_Iogonek GDK_Iogonek
#define GDK_KEY_Eabovedot GDK_Eabovedot
#define GDK_KEY_Imacron GDK_Imacron
#define GDK_KEY_Ncedilla GDK_Ncedilla
#define GDK_KEY_Omacron GDK_Omacron
#define GDK_KEY_Kcedilla GDK_Kcedilla
#define GDK_KEY_Uogonek GDK_Uogonek
#define GDK_KEY_Utilde GDK_Utilde
#define GDK_KEY_Umacron GDK_Umacron
#define GDK_KEY_amacron GDK_amacron
#define GDK_KEY_iogonek GDK_iogonek
#define GDK_KEY_eabovedot GDK_eabovedot
#define GDK_KEY_imacron GDK_imacron
#define GDK_KEY_ncedilla GDK_ncedilla
#define GDK_KEY_omacron GDK_omacron
#define GDK_KEY_kcedilla GDK_kcedilla
#define GDK_KEY_uogonek GDK_uogonek
#define GDK_KEY_utilde GDK_utilde
#define GDK_KEY_umacron GDK_umacron
#define GDK_KEY_Babovedot GDK_Babovedot
#define GDK_KEY_babovedot GDK_babovedot
#define GDK_KEY_Dabovedot GDK_Dabovedot
#define GDK_KEY_Wgrave GDK_Wgrave
#define GDK_KEY_Wacute GDK_Wacute
#define GDK_KEY_dabovedot GDK_dabovedot
#define GDK_KEY_Ygrave GDK_Ygrave
#define GDK_KEY_Fabovedot GDK_Fabovedot
#define GDK_KEY_fabovedot GDK_fabovedot
#define GDK_KEY_Mabovedot GDK_Mabovedot
#define GDK_KEY_mabovedot GDK_mabovedot
#define GDK_KEY_Pabovedot GDK_Pabovedot
#define GDK_KEY_wgrave GDK_wgrave
#define GDK_KEY_pabovedot GDK_pabovedot
#define GDK_KEY_wacute GDK_wacute
#define GDK_KEY_Sabovedot GDK_Sabovedot
#define GDK_KEY_ygrave GDK_ygrave
#define GDK_KEY_Wdiaeresis GDK_Wdiaeresis
#define GDK_KEY_wdiaeresis GDK_wdiaeresis
#define GDK_KEY_sabovedot GDK_sabovedot
#define GDK_KEY_Wcircumflex GDK_Wcircumflex
#define GDK_KEY_Tabovedot GDK_Tabovedot
#define GDK_KEY_Ycircumflex GDK_Ycircumflex
#define GDK_KEY_wcircumflex GDK_wcircumflex
#define GDK_KEY_tabovedot GDK_tabovedot
#define GDK_KEY_ycircumflex GDK_ycircumflex
#define GDK_KEY_OE GDK_OE
#define GDK_KEY_oe GDK_oe
#define GDK_KEY_Ydiaeresis GDK_Ydiaeresis
#define GDK_KEY_overline GDK_overline
#define GDK_KEY_kana_fullstop GDK_kana_fullstop
#define GDK_KEY_kana_openingbracket GDK_kana_openingbracket
#define GDK_KEY_kana_closingbracket GDK_kana_closingbracket
#define GDK_KEY_kana_comma GDK_kana_comma
#define GDK_KEY_kana_conjunctive GDK_kana_conjunctive
#define GDK_KEY_kana_middledot GDK_kana_middledot
#define GDK_KEY_kana_WO GDK_kana_WO
#define GDK_KEY_kana_a GDK_kana_a
#define GDK_KEY_kana_i GDK_kana_i
#define GDK_KEY_kana_u GDK_kana_u
#define GDK_KEY_kana_e GDK_kana_e
#define GDK_KEY_kana_o GDK_kana_o
#define GDK_KEY_kana_ya GDK_kana_ya
#define GDK_KEY_kana_yu GDK_kana_yu
#define GDK_KEY_kana_yo GDK_kana_yo
#define GDK_KEY_kana_tsu GDK_kana_tsu
#define GDK_KEY_kana_tu GDK_kana_tu
#define GDK_KEY_prolongedsound GDK_prolongedsound
#define GDK_KEY_kana_A GDK_kana_A
#define GDK_KEY_kana_I GDK_kana_I
#define GDK_KEY_kana_U GDK_kana_U
#define GDK_KEY_kana_E GDK_kana_E
#define GDK_KEY_kana_O GDK_kana_O
#define GDK_KEY_kana_KA GDK_kana_KA
#define GDK_KEY_kana_KI GDK_kana_KI
#define GDK_KEY_kana_KU GDK_kana_KU
#define GDK_KEY_kana_KE GDK_kana_KE
#define GDK_KEY_kana_KO GDK_kana_KO
#define GDK_KEY_kana_SA GDK_kana_SA
#define GDK_KEY_kana_SHI GDK_kana_SHI
#define GDK_KEY_kana_SU GDK_kana_SU
#define GDK_KEY_kana_SE GDK_kana_SE
#define GDK_KEY_kana_SO GDK_kana_SO
#define GDK_KEY_kana_TA GDK_kana_TA
#define GDK_KEY_kana_CHI GDK_kana_CHI
#define GDK_KEY_kana_TI GDK_kana_TI
#define GDK_KEY_kana_TSU GDK_kana_TSU
#define GDK_KEY_kana_TU GDK_kana_TU
#define GDK_KEY_kana_TE GDK_kana_TE
#define GDK_KEY_kana_TO GDK_kana_TO
#define GDK_KEY_kana_NA GDK_kana_NA
#define GDK_KEY_kana_NI GDK_kana_NI
#define GDK_KEY_kana_NU GDK_kana_NU
#define GDK_KEY_kana_NE GDK_kana_NE
#define GDK_KEY_kana_NO GDK_kana_NO
#define GDK_KEY_kana_HA GDK_kana_HA
#define GDK_KEY_kana_HI GDK_kana_HI
#define GDK_KEY_kana_FU GDK_kana_FU
#define GDK_KEY_kana_HU GDK_kana_HU
#define GDK_KEY_kana_HE GDK_kana_HE
#define GDK_KEY_kana_HO GDK_kana_HO
#define GDK_KEY_kana_MA GDK_kana_MA
#define GDK_KEY_kana_MI GDK_kana_MI
#define GDK_KEY_kana_MU GDK_kana_MU
#define GDK_KEY_kana_ME GDK_kana_ME
#define GDK_KEY_kana_MO GDK_kana_MO
#define GDK_KEY_kana_YA GDK_kana_YA
#define GDK_KEY_kana_YU GDK_kana_YU
#define GDK_KEY_kana_YO GDK_kana_YO
#define GDK_KEY_kana_RA GDK_kana_RA
#define GDK_KEY_kana_RI GDK_kana_RI
#define GDK_KEY_kana_RU GDK_kana_RU
#define GDK_KEY_kana_RE GDK_kana_RE
#define GDK_KEY_kana_RO GDK_kana_RO
#define GDK_KEY_kana_WA GDK_kana_WA
#define GDK_KEY_kana_N GDK_kana_N
#define GDK_KEY_voicedsound GDK_voicedsound
#define GDK_KEY_semivoicedsound GDK_semivoicedsound
#define GDK_KEY_kana_switch GDK_kana_switch
#define GDK_KEY_Farsi_0 GDK_Farsi_0
#define GDK_KEY_Farsi_1 GDK_Farsi_1
#define GDK_KEY_Farsi_2 GDK_Farsi_2
#define GDK_KEY_Farsi_3 GDK_Farsi_3
#define GDK_KEY_Farsi_4 GDK_Farsi_4
#define GDK_KEY_Farsi_5 GDK_Farsi_5
#define GDK_KEY_Farsi_6 GDK_Farsi_6
#define GDK_KEY_Farsi_7 GDK_Farsi_7
#define GDK_KEY_Farsi_8 GDK_Farsi_8
#define GDK_KEY_Farsi_9 GDK_Farsi_9
#define GDK_KEY_Arabic_percent GDK_Arabic_percent
#define GDK_KEY_Arabic_superscript_alef GDK_Arabic_superscript_alef
#define GDK_KEY_Arabic_tteh GDK_Arabic_tteh
#define GDK_KEY_Arabic_peh GDK_Arabic_peh
#define GDK_KEY_Arabic_tcheh GDK_Arabic_tcheh
#define GDK_KEY_Arabic_ddal GDK_Arabic_ddal
#define GDK_KEY_Arabic_rreh GDK_Arabic_rreh
#define GDK_KEY_Arabic_comma GDK_Arabic_comma
#define GDK_KEY_Arabic_fullstop GDK_Arabic_fullstop
#define GDK_KEY_Arabic_0 GDK_Arabic_0
#define GDK_KEY_Arabic_1 GDK_Arabic_1
#define GDK_KEY_Arabic_2 GDK_Arabic_2
#define GDK_KEY_Arabic_3 GDK_Arabic_3
#define GDK_KEY_Arabic_4 GDK_Arabic_4
#define GDK_KEY_Arabic_5 GDK_Arabic_5
#define GDK_KEY_Arabic_6 GDK_Arabic_6
#define GDK_KEY_Arabic_7 GDK_Arabic_7
#define GDK_KEY_Arabic_8 GDK_Arabic_8
#define GDK_KEY_Arabic_9 GDK_Arabic_9
#define GDK_KEY_Arabic_semicolon GDK_Arabic_semicolon
#define GDK_KEY_Arabic_question_mark GDK_Arabic_question_mark
#define GDK_KEY_Arabic_hamza GDK_Arabic_hamza
#define GDK_KEY_Arabic_maddaonalef GDK_Arabic_maddaonalef
#define GDK_KEY_Arabic_hamzaonalef GDK_Arabic_hamzaonalef
#define GDK_KEY_Arabic_hamzaonwaw GDK_Arabic_hamzaonwaw
#define GDK_KEY_Arabic_hamzaunderalef GDK_Arabic_hamzaunderalef
#define GDK_KEY_Arabic_hamzaonyeh GDK_Arabic_hamzaonyeh
#define GDK_KEY_Arabic_alef GDK_Arabic_alef
#define GDK_KEY_Arabic_beh GDK_Arabic_beh
#define GDK_KEY_Arabic_tehmarbuta GDK_Arabic_tehmarbuta
#define GDK_KEY_Arabic_teh GDK_Arabic_teh
#define GDK_KEY_Arabic_theh GDK_Arabic_theh
#define GDK_KEY_Arabic_jeem GDK_Arabic_jeem
#define GDK_KEY_Arabic_hah GDK_Arabic_hah
#define GDK_KEY_Arabic_khah GDK_Arabic_khah
#define GDK_KEY_Arabic_dal GDK_Arabic_dal
#define GDK_KEY_Arabic_thal GDK_Arabic_thal
#define GDK_KEY_Arabic_ra GDK_Arabic_ra
#define GDK_KEY_Arabic_zain GDK_Arabic_zain
#define GDK_KEY_Arabic_seen GDK_Arabic_seen
#define GDK_KEY_Arabic_sheen GDK_Arabic_sheen
#define GDK_KEY_Arabic_sad GDK_Arabic_sad
#define GDK_KEY_Arabic_dad GDK_Arabic_dad
#define GDK_KEY_Arabic_tah GDK_Arabic_tah
#define GDK_KEY_Arabic_zah GDK_Arabic_zah
#define GDK_KEY_Arabic_ain GDK_Arabic_ain
#define GDK_KEY_Arabic_ghain GDK_Arabic_ghain
#define GDK_KEY_Arabic_tatweel GDK_Arabic_tatweel
#define GDK_KEY_Arabic_feh GDK_Arabic_feh
#define GDK_KEY_Arabic_qaf GDK_Arabic_qaf
#define GDK_KEY_Arabic_kaf GDK_Arabic_kaf
#define GDK_KEY_Arabic_lam GDK_Arabic_lam
#define GDK_KEY_Arabic_meem GDK_Arabic_meem
#define GDK_KEY_Arabic_noon GDK_Arabic_noon
#define GDK_KEY_Arabic_ha GDK_Arabic_ha
#define GDK_KEY_Arabic_heh GDK_Arabic_heh
#define GDK_KEY_Arabic_waw GDK_Arabic_waw
#define GDK_KEY_Arabic_alefmaksura GDK_Arabic_alefmaksura
#define GDK_KEY_Arabic_yeh GDK_Arabic_yeh
#define GDK_KEY_Arabic_fathatan GDK_Arabic_fathatan
#define GDK_KEY_Arabic_dammatan GDK_Arabic_dammatan
#define GDK_KEY_Arabic_kasratan GDK_Arabic_kasratan
#define GDK_KEY_Arabic_fatha GDK_Arabic_fatha
#define GDK_KEY_Arabic_damma GDK_Arabic_damma
#define GDK_KEY_Arabic_kasra GDK_Arabic_kasra
#define GDK_KEY_Arabic_shadda GDK_Arabic_shadda
#define GDK_KEY_Arabic_sukun GDK_Arabic_sukun
#define GDK_KEY_Arabic_madda_above GDK_Arabic_madda_above
#define GDK_KEY_Arabic_hamza_above GDK_Arabic_hamza_above
#define GDK_KEY_Arabic_hamza_below GDK_Arabic_hamza_below
#define GDK_KEY_Arabic_jeh GDK_Arabic_jeh
#define GDK_KEY_Arabic_veh GDK_Arabic_veh
#define GDK_KEY_Arabic_keheh GDK_Arabic_keheh
#define GDK_KEY_Arabic_gaf GDK_Arabic_gaf
#define GDK_KEY_Arabic_noon_ghunna GDK_Arabic_noon_ghunna
#define GDK_KEY_Arabic_heh_doachashmee GDK_Arabic_heh_doachashmee
#define GDK_KEY_Farsi_yeh GDK_Farsi_yeh
#define GDK_KEY_Arabic_farsi_yeh GDK_Arabic_farsi_yeh
#define GDK_KEY_Arabic_yeh_baree GDK_Arabic_yeh_baree
#define GDK_KEY_Arabic_heh_goal GDK_Arabic_heh_goal
#define GDK_KEY_Arabic_switch GDK_Arabic_switch
#define GDK_KEY_Cyrillic_GHE_bar GDK_Cyrillic_GHE_bar
#define GDK_KEY_Cyrillic_ghe_bar GDK_Cyrillic_ghe_bar
#define GDK_KEY_Cyrillic_ZHE_descender GDK_Cyrillic_ZHE_descender
#define GDK_KEY_Cyrillic_zhe_descender GDK_Cyrillic_zhe_descender
#define GDK_KEY_Cyrillic_KA_descender GDK_Cyrillic_KA_descender
#define GDK_KEY_Cyrillic_ka_descender GDK_Cyrillic_ka_descender
#define GDK_KEY_Cyrillic_KA_vertstroke GDK_Cyrillic_KA_vertstroke
#define GDK_KEY_Cyrillic_ka_vertstroke GDK_Cyrillic_ka_vertstroke
#define GDK_KEY_Cyrillic_EN_descender GDK_Cyrillic_EN_descender
#define GDK_KEY_Cyrillic_en_descender GDK_Cyrillic_en_descender
#define GDK_KEY_Cyrillic_U_straight GDK_Cyrillic_U_straight
#define GDK_KEY_Cyrillic_u_straight GDK_Cyrillic_u_straight
#define GDK_KEY_Cyrillic_U_straight_bar GDK_Cyrillic_U_straight_bar
#define GDK_KEY_Cyrillic_u_straight_bar GDK_Cyrillic_u_straight_bar
#define GDK_KEY_Cyrillic_HA_descender GDK_Cyrillic_HA_descender
#define GDK_KEY_Cyrillic_ha_descender GDK_Cyrillic_ha_descender
#define GDK_KEY_Cyrillic_CHE_descender GDK_Cyrillic_CHE_descender
#define GDK_KEY_Cyrillic_che_descender GDK_Cyrillic_che_descender
#define GDK_KEY_Cyrillic_CHE_vertstroke GDK_Cyrillic_CHE_vertstroke
#define GDK_KEY_Cyrillic_che_vertstroke GDK_Cyrillic_che_vertstroke
#define GDK_KEY_Cyrillic_SHHA GDK_Cyrillic_SHHA
#define GDK_KEY_Cyrillic_shha GDK_Cyrillic_shha
#define GDK_KEY_Cyrillic_SCHWA GDK_Cyrillic_SCHWA
#define GDK_KEY_Cyrillic_schwa GDK_Cyrillic_schwa
#define GDK_KEY_Cyrillic_I_macron GDK_Cyrillic_I_macron
#define GDK_KEY_Cyrillic_i_macron GDK_Cyrillic_i_macron
#define GDK_KEY_Cyrillic_O_bar GDK_Cyrillic_O_bar
#define GDK_KEY_Cyrillic_o_bar GDK_Cyrillic_o_bar
#define GDK_KEY_Cyrillic_U_macron GDK_Cyrillic_U_macron
#define GDK_KEY_Cyrillic_u_macron GDK_Cyrillic_u_macron
#define GDK_KEY_Serbian_dje GDK_Serbian_dje
#define GDK_KEY_Macedonia_gje GDK_Macedonia_gje
#define GDK_KEY_Cyrillic_io GDK_Cyrillic_io
#define GDK_KEY_Ukrainian_ie GDK_Ukrainian_ie
#define GDK_KEY_Ukranian_je GDK_Ukranian_je
#define GDK_KEY_Macedonia_dse GDK_Macedonia_dse
#define GDK_KEY_Ukrainian_i GDK_Ukrainian_i
#define GDK_KEY_Ukranian_i GDK_Ukranian_i
#define GDK_KEY_Ukrainian_yi GDK_Ukrainian_yi
#define GDK_KEY_Ukranian_yi GDK_Ukranian_yi
#define GDK_KEY_Cyrillic_je GDK_Cyrillic_je
#define GDK_KEY_Serbian_je GDK_Serbian_je
#define GDK_KEY_Cyrillic_lje GDK_Cyrillic_lje
#define GDK_KEY_Serbian_lje GDK_Serbian_lje
#define GDK_KEY_Cyrillic_nje GDK_Cyrillic_nje
#define GDK_KEY_Serbian_nje GDK_Serbian_nje
#define GDK_KEY_Serbian_tshe GDK_Serbian_tshe
#define GDK_KEY_Macedonia_kje GDK_Macedonia_kje
#define GDK_KEY_Ukrainian_ghe_with_upturn GDK_Ukrainian_ghe_with_upturn
#define GDK_KEY_Byelorussian_shortu GDK_Byelorussian_shortu
#define GDK_KEY_Cyrillic_dzhe GDK_Cyrillic_dzhe
#define GDK_KEY_Serbian_dze GDK_Serbian_dze
#define GDK_KEY_numerosign GDK_numerosign
#define GDK_KEY_Serbian_DJE GDK_Serbian_DJE
#define GDK_KEY_Macedonia_GJE GDK_Macedonia_GJE
#define GDK_KEY_Cyrillic_IO GDK_Cyrillic_IO
#define GDK_KEY_Ukrainian_IE GDK_Ukrainian_IE
#define GDK_KEY_Ukranian_JE GDK_Ukranian_JE
#define GDK_KEY_Macedonia_DSE GDK_Macedonia_DSE
#define GDK_KEY_Ukrainian_I GDK_Ukrainian_I
#define GDK_KEY_Ukranian_I GDK_Ukranian_I
#define GDK_KEY_Ukrainian_YI GDK_Ukrainian_YI
#define GDK_KEY_Ukranian_YI GDK_Ukranian_YI
#define GDK_KEY_Cyrillic_JE GDK_Cyrillic_JE
#define GDK_KEY_Serbian_JE GDK_Serbian_JE
#define GDK_KEY_Cyrillic_LJE GDK_Cyrillic_LJE
#define GDK_KEY_Serbian_LJE GDK_Serbian_LJE
#define GDK_KEY_Cyrillic_NJE GDK_Cyrillic_NJE
#define GDK_KEY_Serbian_NJE GDK_Serbian_NJE
#define GDK_KEY_Serbian_TSHE GDK_Serbian_TSHE
#define GDK_KEY_Macedonia_KJE GDK_Macedonia_KJE
#define GDK_KEY_Ukrainian_GHE_WITH_UPTURN GDK_Ukrainian_GHE_WITH_UPTURN
#define GDK_KEY_Byelorussian_SHORTU GDK_Byelorussian_SHORTU
#define GDK_KEY_Cyrillic_DZHE GDK_Cyrillic_DZHE
#define GDK_KEY_Serbian_DZE GDK_Serbian_DZE
#define GDK_KEY_Cyrillic_yu GDK_Cyrillic_yu
#define GDK_KEY_Cyrillic_a GDK_Cyrillic_a
#define GDK_KEY_Cyrillic_be GDK_Cyrillic_be
#define GDK_KEY_Cyrillic_tse GDK_Cyrillic_tse
#define GDK_KEY_Cyrillic_de GDK_Cyrillic_de
#define GDK_KEY_Cyrillic_ie GDK_Cyrillic_ie
#define GDK_KEY_Cyrillic_ef GDK_Cyrillic_ef
#define GDK_KEY_Cyrillic_ghe GDK_Cyrillic_ghe
#define GDK_KEY_Cyrillic_ha GDK_Cyrillic_ha
#define GDK_KEY_Cyrillic_i GDK_Cyrillic_i
#define GDK_KEY_Cyrillic_shorti GDK_Cyrillic_shorti
#define GDK_KEY_Cyrillic_ka GDK_Cyrillic_ka
#define GDK_KEY_Cyrillic_el GDK_Cyrillic_el
#define GDK_KEY_Cyrillic_em GDK_Cyrillic_em
#define GDK_KEY_Cyrillic_en GDK_Cyrillic_en
#define GDK_KEY_Cyrillic_o GDK_Cyrillic_o
#define GDK_KEY_Cyrillic_pe GDK_Cyrillic_pe
#define GDK_KEY_Cyrillic_ya GDK_Cyrillic_ya
#define GDK_KEY_Cyrillic_er GDK_Cyrillic_er
#define GDK_KEY_Cyrillic_es GDK_Cyrillic_es
#define GDK_KEY_Cyrillic_te GDK_Cyrillic_te
#define GDK_KEY_Cyrillic_u GDK_Cyrillic_u
#define GDK_KEY_Cyrillic_zhe GDK_Cyrillic_zhe
#define GDK_KEY_Cyrillic_ve GDK_Cyrillic_ve
#define GDK_KEY_Cyrillic_softsign GDK_Cyrillic_softsign
#define GDK_KEY_Cyrillic_yeru GDK_Cyrillic_yeru
#define GDK_KEY_Cyrillic_ze GDK_Cyrillic_ze
#define GDK_KEY_Cyrillic_sha GDK_Cyrillic_sha
#define GDK_KEY_Cyrillic_e GDK_Cyrillic_e
#define GDK_KEY_Cyrillic_shcha GDK_Cyrillic_shcha
#define GDK_KEY_Cyrillic_che GDK_Cyrillic_che
#define GDK_KEY_Cyrillic_hardsign GDK_Cyrillic_hardsign
#define GDK_KEY_Cyrillic_YU GDK_Cyrillic_YU
#define GDK_KEY_Cyrillic_A GDK_Cyrillic_A
#define GDK_KEY_Cyrillic_BE GDK_Cyrillic_BE
#define GDK_KEY_Cyrillic_TSE GDK_Cyrillic_TSE
#define GDK_KEY_Cyrillic_DE GDK_Cyrillic_DE
#define GDK_KEY_Cyrillic_IE GDK_Cyrillic_IE
#define GDK_KEY_Cyrillic_EF GDK_Cyrillic_EF
#define GDK_KEY_Cyrillic_GHE GDK_Cyrillic_GHE
#define GDK_KEY_Cyrillic_HA GDK_Cyrillic_HA
#define GDK_KEY_Cyrillic_I GDK_Cyrillic_I
#define GDK_KEY_Cyrillic_SHORTI GDK_Cyrillic_SHORTI
#define GDK_KEY_Cyrillic_KA GDK_Cyrillic_KA
#define GDK_KEY_Cyrillic_EL GDK_Cyrillic_EL
#define GDK_KEY_Cyrillic_EM GDK_Cyrillic_EM
#define GDK_KEY_Cyrillic_EN GDK_Cyrillic_EN
#define GDK_KEY_Cyrillic_O GDK_Cyrillic_O
#define GDK_KEY_Cyrillic_PE GDK_Cyrillic_PE
#define GDK_KEY_Cyrillic_YA GDK_Cyrillic_YA
#define GDK_KEY_Cyrillic_ER GDK_Cyrillic_ER
#define GDK_KEY_Cyrillic_ES GDK_Cyrillic_ES
#define GDK_KEY_Cyrillic_TE GDK_Cyrillic_TE
#define GDK_KEY_Cyrillic_U GDK_Cyrillic_U
#define GDK_KEY_Cyrillic_ZHE GDK_Cyrillic_ZHE
#define GDK_KEY_Cyrillic_VE GDK_Cyrillic_VE
#define GDK_KEY_Cyrillic_SOFTSIGN GDK_Cyrillic_SOFTSIGN
#define GDK_KEY_Cyrillic_YERU GDK_Cyrillic_YERU
#define GDK_KEY_Cyrillic_ZE GDK_Cyrillic_ZE
#define GDK_KEY_Cyrillic_SHA GDK_Cyrillic_SHA
#define GDK_KEY_Cyrillic_E GDK_Cyrillic_E
#define GDK_KEY_Cyrillic_SHCHA GDK_Cyrillic_SHCHA
#define GDK_KEY_Cyrillic_CHE GDK_Cyrillic_CHE
#define GDK_KEY_Cyrillic_HARDSIGN GDK_Cyrillic_HARDSIGN
#define GDK_KEY_Greek_ALPHAaccent GDK_Greek_ALPHAaccent
#define GDK_KEY_Greek_EPSILONaccent GDK_Greek_EPSILONaccent
#define GDK_KEY_Greek_ETAaccent GDK_Greek_ETAaccent
#define GDK_KEY_Greek_IOTAaccent GDK_Greek_IOTAaccent
#define GDK_KEY_Greek_IOTAdieresis GDK_Greek_IOTAdieresis
#define GDK_KEY_Greek_IOTAdiaeresis GDK_Greek_IOTAdiaeresis
#define GDK_KEY_Greek_OMICRONaccent GDK_Greek_OMICRONaccent
#define GDK_KEY_Greek_UPSILONaccent GDK_Greek_UPSILONaccent
#define GDK_KEY_Greek_UPSILONdieresis GDK_Greek_UPSILONdieresis
#define GDK_KEY_Greek_OMEGAaccent GDK_Greek_OMEGAaccent
#define GDK_KEY_Greek_accentdieresis GDK_Greek_accentdieresis
#define GDK_KEY_Greek_horizbar GDK_Greek_horizbar
#define GDK_KEY_Greek_alphaaccent GDK_Greek_alphaaccent
#define GDK_KEY_Greek_epsilonaccent GDK_Greek_epsilonaccent
#define GDK_KEY_Greek_etaaccent GDK_Greek_etaaccent
#define GDK_KEY_Greek_iotaaccent GDK_Greek_iotaaccent
#define GDK_KEY_Greek_iotadieresis GDK_Greek_iotadieresis
#define GDK_KEY_Greek_iotaaccentdieresis GDK_Greek_iotaaccentdieresis
#define GDK_KEY_Greek_omicronaccent GDK_Greek_omicronaccent
#define GDK_KEY_Greek_upsilonaccent GDK_Greek_upsilonaccent
#define GDK_KEY_Greek_upsilondieresis GDK_Greek_upsilondieresis
#define GDK_KEY_Greek_upsilonaccentdieresis GDK_Greek_upsilonaccentdieresis
#define GDK_KEY_Greek_omegaaccent GDK_Greek_omegaaccent
#define GDK_KEY_Greek_ALPHA GDK_Greek_ALPHA
#define GDK_KEY_Greek_BETA GDK_Greek_BETA
#define GDK_KEY_Greek_GAMMA GDK_Greek_GAMMA
#define GDK_KEY_Greek_DELTA GDK_Greek_DELTA
#define GDK_KEY_Greek_EPSILON GDK_Greek_EPSILON
#define GDK_KEY_Greek_ZETA GDK_Greek_ZETA
#define GDK_KEY_Greek_ETA GDK_Greek_ETA
#define GDK_KEY_Greek_THETA GDK_Greek_THETA
#define GDK_KEY_Greek_IOTA GDK_Greek_IOTA
#define GDK_KEY_Greek_KAPPA GDK_Greek_KAPPA
#define GDK_KEY_Greek_LAMDA GDK_Greek_LAMDA
#define GDK_KEY_Greek_LAMBDA GDK_Greek_LAMBDA
#define GDK_KEY_Greek_MU GDK_Greek_MU
#define GDK_KEY_Greek_NU GDK_Greek_NU
#define GDK_KEY_Greek_XI GDK_Greek_XI
#define GDK_KEY_Greek_OMICRON GDK_Greek_OMICRON
#define GDK_KEY_Greek_PI GDK_Greek_PI
#define GDK_KEY_Greek_RHO GDK_Greek_RHO
#define GDK_KEY_Greek_SIGMA GDK_Greek_SIGMA
#define GDK_KEY_Greek_TAU GDK_Greek_TAU
#define GDK_KEY_Greek_UPSILON GDK_Greek_UPSILON
#define GDK_KEY_Greek_PHI GDK_Greek_PHI
#define GDK_KEY_Greek_CHI GDK_Greek_CHI
#define GDK_KEY_Greek_PSI GDK_Greek_PSI
#define GDK_KEY_Greek_OMEGA GDK_Greek_OMEGA
#define GDK_KEY_Greek_alpha GDK_Greek_alpha
#define GDK_KEY_Greek_beta GDK_Greek_beta
#define GDK_KEY_Greek_gamma GDK_Greek_gamma
#define GDK_KEY_Greek_delta GDK_Greek_delta
#define GDK_KEY_Greek_epsilon GDK_Greek_epsilon
#define GDK_KEY_Greek_zeta GDK_Greek_zeta
#define GDK_KEY_Greek_eta GDK_Greek_eta
#define GDK_KEY_Greek_theta GDK_Greek_theta
#define GDK_KEY_Greek_iota GDK_Greek_iota
#define GDK_KEY_Greek_kappa GDK_Greek_kappa
#define GDK_KEY_Greek_lamda GDK_Greek_lamda
#define GDK_KEY_Greek_lambda GDK_Greek_lambda
#define GDK_KEY_Greek_mu GDK_Greek_mu
#define GDK_KEY_Greek_nu GDK_Greek_nu
#define GDK_KEY_Greek_xi GDK_Greek_xi
#define GDK_KEY_Greek_omicron GDK_Greek_omicron
#define GDK_KEY_Greek_pi GDK_Greek_pi
#define GDK_KEY_Greek_rho GDK_Greek_rho
#define GDK_KEY_Greek_sigma GDK_Greek_sigma
#define GDK_KEY_Greek_finalsmallsigma GDK_Greek_finalsmallsigma
#define GDK_KEY_Greek_tau GDK_Greek_tau
#define GDK_KEY_Greek_upsilon GDK_Greek_upsilon
#define GDK_KEY_Greek_phi GDK_Greek_phi
#define GDK_KEY_Greek_chi GDK_Greek_chi
#define GDK_KEY_Greek_psi GDK_Greek_psi
#define GDK_KEY_Greek_omega GDK_Greek_omega
#define GDK_KEY_Greek_switch GDK_Greek_switch
#define GDK_KEY_leftradical GDK_leftradical
#define GDK_KEY_topleftradical GDK_topleftradical
#define GDK_KEY_horizconnector GDK_horizconnector
#define GDK_KEY_topintegral GDK_topintegral
#define GDK_KEY_botintegral GDK_botintegral
#define GDK_KEY_vertconnector GDK_vertconnector
#define GDK_KEY_topleftsqbracket GDK_topleftsqbracket
#define GDK_KEY_botleftsqbracket GDK_botleftsqbracket
#define GDK_KEY_toprightsqbracket GDK_toprightsqbracket
#define GDK_KEY_botrightsqbracket GDK_botrightsqbracket
#define GDK_KEY_topleftparens GDK_topleftparens
#define GDK_KEY_botleftparens GDK_botleftparens
#define GDK_KEY_toprightparens GDK_toprightparens
#define GDK_KEY_botrightparens GDK_botrightparens
#define GDK_KEY_leftmiddlecurlybrace GDK_leftmiddlecurlybrace
#define GDK_KEY_rightmiddlecurlybrace GDK_rightmiddlecurlybrace
#define GDK_KEY_topleftsummation GDK_topleftsummation
#define GDK_KEY_botleftsummation GDK_botleftsummation
#define GDK_KEY_topvertsummationconnector GDK_topvertsummationconnector
#define GDK_KEY_botvertsummationconnector GDK_botvertsummationconnector
#define GDK_KEY_toprightsummation GDK_toprightsummation
#define GDK_KEY_botrightsummation GDK_botrightsummation
#define GDK_KEY_rightmiddlesummation GDK_rightmiddlesummation
#define GDK_KEY_lessthanequal GDK_lessthanequal
#define GDK_KEY_notequal GDK_notequal
#define GDK_KEY_greaterthanequal GDK_greaterthanequal
#define GDK_KEY_integral GDK_integral
#define GDK_KEY_therefore GDK_therefore
#define GDK_KEY_variation GDK_variation
#define GDK_KEY_infinity GDK_infinity
#define GDK_KEY_nabla GDK_nabla
#define GDK_KEY_approximate GDK_approximate
#define GDK_KEY_similarequal GDK_similarequal
#define GDK_KEY_ifonlyif GDK_ifonlyif
#define GDK_KEY_implies GDK_implies
#define GDK_KEY_identical GDK_identical
#define GDK_KEY_radical GDK_radical
#define GDK_KEY_includedin GDK_includedin
#define GDK_KEY_includes GDK_includes
#define GDK_KEY_intersection GDK_intersection
#define GDK_KEY_union GDK_union
#define GDK_KEY_logicaland GDK_logicaland
#define GDK_KEY_logicalor GDK_logicalor
#define GDK_KEY_partialderivative GDK_partialderivative
#define GDK_KEY_function GDK_function
#define GDK_KEY_leftarrow GDK_leftarrow
#define GDK_KEY_uparrow GDK_uparrow
#define GDK_KEY_rightarrow GDK_rightarrow
#define GDK_KEY_downarrow GDK_downarrow
#define GDK_KEY_blank GDK_blank
#define GDK_KEY_soliddiamond GDK_soliddiamond
#define GDK_KEY_checkerboard GDK_checkerboard
#define GDK_KEY_ht GDK_ht
#define GDK_KEY_ff GDK_ff
#define GDK_KEY_cr GDK_cr
#define GDK_KEY_lf GDK_lf
#define GDK_KEY_nl GDK_nl
#define GDK_KEY_vt GDK_vt
#define GDK_KEY_lowrightcorner GDK_lowrightcorner
#define GDK_KEY_uprightcorner GDK_uprightcorner
#define GDK_KEY_upleftcorner GDK_upleftcorner
#define GDK_KEY_lowleftcorner GDK_lowleftcorner
#define GDK_KEY_crossinglines GDK_crossinglines
#define GDK_KEY_horizlinescan1 GDK_horizlinescan1
#define GDK_KEY_horizlinescan3 GDK_horizlinescan3
#define GDK_KEY_horizlinescan5 GDK_horizlinescan5
#define GDK_KEY_horizlinescan7 GDK_horizlinescan7
#define GDK_KEY_horizlinescan9 GDK_horizlinescan9
#define GDK_KEY_leftt GDK_leftt
#define GDK_KEY_rightt GDK_rightt
#define GDK_KEY_bott GDK_bott
#define GDK_KEY_topt GDK_topt
#define GDK_KEY_vertbar GDK_vertbar
#define GDK_KEY_emspace GDK_emspace
#define GDK_KEY_enspace GDK_enspace
#define GDK_KEY_em3space GDK_em3space
#define GDK_KEY_em4space GDK_em4space
#define GDK_KEY_digitspace GDK_digitspace
#define GDK_KEY_punctspace GDK_punctspace
#define GDK_KEY_thinspace GDK_thinspace
#define GDK_KEY_hairspace GDK_hairspace
#define GDK_KEY_emdash GDK_emdash
#define GDK_KEY_endash GDK_endash
#define GDK_KEY_signifblank GDK_signifblank
#define GDK_KEY_ellipsis GDK_ellipsis
#define GDK_KEY_doubbaselinedot GDK_doubbaselinedot
#define GDK_KEY_onethird GDK_onethird
#define GDK_KEY_twothirds GDK_twothirds
#define GDK_KEY_onefifth GDK_onefifth
#define GDK_KEY_twofifths GDK_twofifths
#define GDK_KEY_threefifths GDK_threefifths
#define GDK_KEY_fourfifths GDK_fourfifths
#define GDK_KEY_onesixth GDK_onesixth
#define GDK_KEY_fivesixths GDK_fivesixths
#define GDK_KEY_careof GDK_careof
#define GDK_KEY_figdash GDK_figdash
#define GDK_KEY_leftanglebracket GDK_leftanglebracket
#define GDK_KEY_decimalpoint GDK_decimalpoint
#define GDK_KEY_rightanglebracket GDK_rightanglebracket
#define GDK_KEY_marker GDK_marker
#define GDK_KEY_oneeighth GDK_oneeighth
#define GDK_KEY_threeeighths GDK_threeeighths
#define GDK_KEY_fiveeighths GDK_fiveeighths
#define GDK_KEY_seveneighths GDK_seveneighths
#define GDK_KEY_trademark GDK_trademark
#define GDK_KEY_signaturemark GDK_signaturemark
#define GDK_KEY_trademarkincircle GDK_trademarkincircle
#define GDK_KEY_leftopentriangle GDK_leftopentriangle
#define GDK_KEY_rightopentriangle GDK_rightopentriangle
#define GDK_KEY_emopencircle GDK_emopencircle
#define GDK_KEY_emopenrectangle GDK_emopenrectangle
#define GDK_KEY_leftsinglequotemark GDK_leftsinglequotemark
#define GDK_KEY_rightsinglequotemark GDK_rightsinglequotemark
#define GDK_KEY_leftdoublequotemark GDK_leftdoublequotemark
#define GDK_KEY_rightdoublequotemark GDK_rightdoublequotemark
#define GDK_KEY_prescription GDK_prescription
#define GDK_KEY_minutes GDK_minutes
#define GDK_KEY_seconds GDK_seconds
#define GDK_KEY_latincross GDK_latincross
#define GDK_KEY_hexagram GDK_hexagram
#define GDK_KEY_filledrectbullet GDK_filledrectbullet
#define GDK_KEY_filledlefttribullet GDK_filledlefttribullet
#define GDK_KEY_filledrighttribullet GDK_filledrighttribullet
#define GDK_KEY_emfilledcircle GDK_emfilledcircle
#define GDK_KEY_emfilledrect GDK_emfilledrect
#define GDK_KEY_enopencircbullet GDK_enopencircbullet
#define GDK_KEY_enopensquarebullet GDK_enopensquarebullet
#define GDK_KEY_openrectbullet GDK_openrectbullet
#define GDK_KEY_opentribulletup GDK_opentribulletup
#define GDK_KEY_opentribulletdown GDK_opentribulletdown
#define GDK_KEY_openstar GDK_openstar
#define GDK_KEY_enfilledcircbullet GDK_enfilledcircbullet
#define GDK_KEY_enfilledsqbullet GDK_enfilledsqbullet
#define GDK_KEY_filledtribulletup GDK_filledtribulletup
#define GDK_KEY_filledtribulletdown GDK_filledtribulletdown
#define GDK_KEY_leftpointer GDK_leftpointer
#define GDK_KEY_rightpointer GDK_rightpointer
#define GDK_KEY_club GDK_club
#define GDK_KEY_diamond GDK_diamond
#define GDK_KEY_heart GDK_heart
#define GDK_KEY_maltesecross GDK_maltesecross
#define GDK_KEY_dagger GDK_dagger
#define GDK_KEY_doubledagger GDK_doubledagger
#define GDK_KEY_checkmark GDK_checkmark
#define GDK_KEY_ballotcross GDK_ballotcross
#define GDK_KEY_musicalsharp GDK_musicalsharp
#define GDK_KEY_musicalflat GDK_musicalflat
#define GDK_KEY_malesymbol GDK_malesymbol
#define GDK_KEY_femalesymbol GDK_femalesymbol
#define GDK_KEY_telephone GDK_telephone
#define GDK_KEY_telephonerecorder GDK_telephonerecorder
#define GDK_KEY_phonographcopyright GDK_phonographcopyright
#define GDK_KEY_caret GDK_caret
#define GDK_KEY_singlelowquotemark GDK_singlelowquotemark
#define GDK_KEY_doublelowquotemark GDK_doublelowquotemark
#define GDK_KEY_cursor GDK_cursor
#define GDK_KEY_leftcaret GDK_leftcaret
#define GDK_KEY_rightcaret GDK_rightcaret
#define GDK_KEY_downcaret GDK_downcaret
#define GDK_KEY_upcaret GDK_upcaret
#define GDK_KEY_overbar GDK_overbar
#define GDK_KEY_downtack GDK_downtack
#define GDK_KEY_upshoe GDK_upshoe
#define GDK_KEY_downstile GDK_downstile
#define GDK_KEY_underbar GDK_underbar
#define GDK_KEY_jot GDK_jot
#define GDK_KEY_quad GDK_quad
#define GDK_KEY_uptack GDK_uptack
#define GDK_KEY_circle GDK_circle
#define GDK_KEY_upstile GDK_upstile
#define GDK_KEY_downshoe GDK_downshoe
#define GDK_KEY_rightshoe GDK_rightshoe
#define GDK_KEY_leftshoe GDK_leftshoe
#define GDK_KEY_lefttack GDK_lefttack
#define GDK_KEY_righttack GDK_righttack
#define GDK_KEY_hebrew_doublelowline GDK_hebrew_doublelowline
#define GDK_KEY_hebrew_aleph GDK_hebrew_aleph
#define GDK_KEY_hebrew_bet GDK_hebrew_bet
#define GDK_KEY_hebrew_beth GDK_hebrew_beth
#define GDK_KEY_hebrew_gimel GDK_hebrew_gimel
#define GDK_KEY_hebrew_gimmel GDK_hebrew_gimmel
#define GDK_KEY_hebrew_dalet GDK_hebrew_dalet
#define GDK_KEY_hebrew_daleth GDK_hebrew_daleth
#define GDK_KEY_hebrew_he GDK_hebrew_he
#define GDK_KEY_hebrew_waw GDK_hebrew_waw
#define GDK_KEY_hebrew_zain GDK_hebrew_zain
#define GDK_KEY_hebrew_zayin GDK_hebrew_zayin
#define GDK_KEY_hebrew_chet GDK_hebrew_chet
#define GDK_KEY_hebrew_het GDK_hebrew_het
#define GDK_KEY_hebrew_tet GDK_hebrew_tet
#define GDK_KEY_hebrew_teth GDK_hebrew_teth
#define GDK_KEY_hebrew_yod GDK_hebrew_yod
#define GDK_KEY_hebrew_finalkaph GDK_hebrew_finalkaph
#define GDK_KEY_hebrew_kaph GDK_hebrew_kaph
#define GDK_KEY_hebrew_lamed GDK_hebrew_lamed
#define GDK_KEY_hebrew_finalmem GDK_hebrew_finalmem
#define GDK_KEY_hebrew_mem GDK_hebrew_mem
#define GDK_KEY_hebrew_finalnun GDK_hebrew_finalnun
#define GDK_KEY_hebrew_nun GDK_hebrew_nun
#define GDK_KEY_hebrew_samech GDK_hebrew_samech
#define GDK_KEY_hebrew_samekh GDK_hebrew_samekh
#define GDK_KEY_hebrew_ayin GDK_hebrew_ayin
#define GDK_KEY_hebrew_finalpe GDK_hebrew_finalpe
#define GDK_KEY_hebrew_pe GDK_hebrew_pe
#define GDK_KEY_hebrew_finalzade GDK_hebrew_finalzade
#define GDK_KEY_hebrew_finalzadi GDK_hebrew_finalzadi
#define GDK_KEY_hebrew_zade GDK_hebrew_zade
#define GDK_KEY_hebrew_zadi GDK_hebrew_zadi
#define GDK_KEY_hebrew_qoph GDK_hebrew_qoph
#define GDK_KEY_hebrew_kuf GDK_hebrew_kuf
#define GDK_KEY_hebrew_resh GDK_hebrew_resh
#define GDK_KEY_hebrew_shin GDK_hebrew_shin
#define GDK_KEY_hebrew_taw GDK_hebrew_taw
#define GDK_KEY_hebrew_taf GDK_hebrew_taf
#define GDK_KEY_Hebrew_switch GDK_Hebrew_switch
#define GDK_KEY_Thai_kokai GDK_Thai_kokai
#define GDK_KEY_Thai_khokhai GDK_Thai_khokhai
#define GDK_KEY_Thai_khokhuat GDK_Thai_khokhuat
#define GDK_KEY_Thai_khokhwai GDK_Thai_khokhwai
#define GDK_KEY_Thai_khokhon GDK_Thai_khokhon
#define GDK_KEY_Thai_khorakhang GDK_Thai_khorakhang
#define GDK_KEY_Thai_ngongu GDK_Thai_ngongu
#define GDK_KEY_Thai_chochan GDK_Thai_chochan
#define GDK_KEY_Thai_choching GDK_Thai_choching
#define GDK_KEY_Thai_chochang GDK_Thai_chochang
#define GDK_KEY_Thai_soso GDK_Thai_soso
#define GDK_KEY_Thai_chochoe GDK_Thai_chochoe
#define GDK_KEY_Thai_yoying GDK_Thai_yoying
#define GDK_KEY_Thai_dochada GDK_Thai_dochada
#define GDK_KEY_Thai_topatak GDK_Thai_topatak
#define GDK_KEY_Thai_thothan GDK_Thai_thothan
#define GDK_KEY_Thai_thonangmontho GDK_Thai_thonangmontho
#define GDK_KEY_Thai_thophuthao GDK_Thai_thophuthao
#define GDK_KEY_Thai_nonen GDK_Thai_nonen
#define GDK_KEY_Thai_dodek GDK_Thai_dodek
#define GDK_KEY_Thai_totao GDK_Thai_totao
#define GDK_KEY_Thai_thothung GDK_Thai_thothung
#define GDK_KEY_Thai_thothahan GDK_Thai_thothahan
#define GDK_KEY_Thai_thothong GDK_Thai_thothong
#define GDK_KEY_Thai_nonu GDK_Thai_nonu
#define GDK_KEY_Thai_bobaimai GDK_Thai_bobaimai
#define GDK_KEY_Thai_popla GDK_Thai_popla
#define GDK_KEY_Thai_phophung GDK_Thai_phophung
#define GDK_KEY_Thai_fofa GDK_Thai_fofa
#define GDK_KEY_Thai_phophan GDK_Thai_phophan
#define GDK_KEY_Thai_fofan GDK_Thai_fofan
#define GDK_KEY_Thai_phosamphao GDK_Thai_phosamphao
#define GDK_KEY_Thai_moma GDK_Thai_moma
#define GDK_KEY_Thai_yoyak GDK_Thai_yoyak
#define GDK_KEY_Thai_rorua GDK_Thai_rorua
#define GDK_KEY_Thai_ru GDK_Thai_ru
#define GDK_KEY_Thai_loling GDK_Thai_loling
#define GDK_KEY_Thai_lu GDK_Thai_lu
#define GDK_KEY_Thai_wowaen GDK_Thai_wowaen
#define GDK_KEY_Thai_sosala GDK_Thai_sosala
#define GDK_KEY_Thai_sorusi GDK_Thai_sorusi
#define GDK_KEY_Thai_sosua GDK_Thai_sosua
#define GDK_KEY_Thai_hohip GDK_Thai_hohip
#define GDK_KEY_Thai_lochula GDK_Thai_lochula
#define GDK_KEY_Thai_oang GDK_Thai_oang
#define GDK_KEY_Thai_honokhuk GDK_Thai_honokhuk
#define GDK_KEY_Thai_paiyannoi GDK_Thai_paiyannoi
#define GDK_KEY_Thai_saraa GDK_Thai_saraa
#define GDK_KEY_Thai_maihanakat GDK_Thai_maihanakat
#define GDK_KEY_Thai_saraaa GDK_Thai_saraaa
#define GDK_KEY_Thai_saraam GDK_Thai_saraam
#define GDK_KEY_Thai_sarai GDK_Thai_sarai
#define GDK_KEY_Thai_saraii GDK_Thai_saraii
#define GDK_KEY_Thai_saraue GDK_Thai_saraue
#define GDK_KEY_Thai_sarauee GDK_Thai_sarauee
#define GDK_KEY_Thai_sarau GDK_Thai_sarau
#define GDK_KEY_Thai_sarauu GDK_Thai_sarauu
#define GDK_KEY_Thai_phinthu GDK_Thai_phinthu
#define GDK_KEY_Thai_maihanakat_maitho GDK_Thai_maihanakat_maitho
#define GDK_KEY_Thai_baht GDK_Thai_baht
#define GDK_KEY_Thai_sarae GDK_Thai_sarae
#define GDK_KEY_Thai_saraae GDK_Thai_saraae
#define GDK_KEY_Thai_sarao GDK_Thai_sarao
#define GDK_KEY_Thai_saraaimaimuan GDK_Thai_saraaimaimuan
#define GDK_KEY_Thai_saraaimaimalai GDK_Thai_saraaimaimalai
#define GDK_KEY_Thai_lakkhangyao GDK_Thai_lakkhangyao
#define GDK_KEY_Thai_maiyamok GDK_Thai_maiyamok
#define GDK_KEY_Thai_maitaikhu GDK_Thai_maitaikhu
#define GDK_KEY_Thai_maiek GDK_Thai_maiek
#define GDK_KEY_Thai_maitho GDK_Thai_maitho
#define GDK_KEY_Thai_maitri GDK_Thai_maitri
#define GDK_KEY_Thai_maichattawa GDK_Thai_maichattawa
#define GDK_KEY_Thai_thanthakhat GDK_Thai_thanthakhat
#define GDK_KEY_Thai_nikhahit GDK_Thai_nikhahit
#define GDK_KEY_Thai_leksun GDK_Thai_leksun
#define GDK_KEY_Thai_leknung GDK_Thai_leknung
#define GDK_KEY_Thai_leksong GDK_Thai_leksong
#define GDK_KEY_Thai_leksam GDK_Thai_leksam
#define GDK_KEY_Thai_leksi GDK_Thai_leksi
#define GDK_KEY_Thai_lekha GDK_Thai_lekha
#define GDK_KEY_Thai_lekhok GDK_Thai_lekhok
#define GDK_KEY_Thai_lekchet GDK_Thai_lekchet
#define GDK_KEY_Thai_lekpaet GDK_Thai_lekpaet
#define GDK_KEY_Thai_lekkao GDK_Thai_lekkao
#define GDK_KEY_Hangul GDK_Hangul
#define GDK_KEY_Hangul_Start GDK_Hangul_Start
#define GDK_KEY_Hangul_End GDK_Hangul_End
#define GDK_KEY_Hangul_Hanja GDK_Hangul_Hanja
#define GDK_KEY_Hangul_Jamo GDK_Hangul_Jamo
#define GDK_KEY_Hangul_Romaja GDK_Hangul_Romaja
#define GDK_KEY_Hangul_Codeinput GDK_Hangul_Codeinput
#define GDK_KEY_Hangul_Jeonja GDK_Hangul_Jeonja
#define GDK_KEY_Hangul_Banja GDK_Hangul_Banja
#define GDK_KEY_Hangul_PreHanja GDK_Hangul_PreHanja
#define GDK_KEY_Hangul_PostHanja GDK_Hangul_PostHanja
#define GDK_KEY_Hangul_SingleCandidate GDK_Hangul_SingleCandidate
#define GDK_KEY_Hangul_MultipleCandidate GDK_Hangul_MultipleCandidate
#define GDK_KEY_Hangul_PreviousCandidate GDK_Hangul_PreviousCandidate
#define GDK_KEY_Hangul_Special GDK_Hangul_Special
#define GDK_KEY_Hangul_switch GDK_Hangul_switch
#define GDK_KEY_Hangul_Kiyeog GDK_Hangul_Kiyeog
#define GDK_KEY_Hangul_SsangKiyeog GDK_Hangul_SsangKiyeog
#define GDK_KEY_Hangul_KiyeogSios GDK_Hangul_KiyeogSios
#define GDK_KEY_Hangul_Nieun GDK_Hangul_Nieun
#define GDK_KEY_Hangul_NieunJieuj GDK_Hangul_NieunJieuj
#define GDK_KEY_Hangul_NieunHieuh GDK_Hangul_NieunHieuh
#define GDK_KEY_Hangul_Dikeud GDK_Hangul_Dikeud
#define GDK_KEY_Hangul_SsangDikeud GDK_Hangul_SsangDikeud
#define GDK_KEY_Hangul_Rieul GDK_Hangul_Rieul
#define GDK_KEY_Hangul_RieulKiyeog GDK_Hangul_RieulKiyeog
#define GDK_KEY_Hangul_RieulMieum GDK_Hangul_RieulMieum
#define GDK_KEY_Hangul_RieulPieub GDK_Hangul_RieulPieub
#define GDK_KEY_Hangul_RieulSios GDK_Hangul_RieulSios
#define GDK_KEY_Hangul_RieulTieut GDK_Hangul_RieulTieut
#define GDK_KEY_Hangul_RieulPhieuf GDK_Hangul_RieulPhieuf
#define GDK_KEY_Hangul_RieulHieuh GDK_Hangul_RieulHieuh
#define GDK_KEY_Hangul_Mieum GDK_Hangul_Mieum
#define GDK_KEY_Hangul_Pieub GDK_Hangul_Pieub
#define GDK_KEY_Hangul_SsangPieub GDK_Hangul_SsangPieub
#define GDK_KEY_Hangul_PieubSios GDK_Hangul_PieubSios
#define GDK_KEY_Hangul_Sios GDK_Hangul_Sios
#define GDK_KEY_Hangul_SsangSios GDK_Hangul_SsangSios
#define GDK_KEY_Hangul_Ieung GDK_Hangul_Ieung
#define GDK_KEY_Hangul_Jieuj GDK_Hangul_Jieuj
#define GDK_KEY_Hangul_SsangJieuj GDK_Hangul_SsangJieuj
#define GDK_KEY_Hangul_Cieuc GDK_Hangul_Cieuc
#define GDK_KEY_Hangul_Khieuq GDK_Hangul_Khieuq
#define GDK_KEY_Hangul_Tieut GDK_Hangul_Tieut
#define GDK_KEY_Hangul_Phieuf GDK_Hangul_Phieuf
#define GDK_KEY_Hangul_Hieuh GDK_Hangul_Hieuh
#define GDK_KEY_Hangul_A GDK_Hangul_A
#define GDK_KEY_Hangul_AE GDK_Hangul_AE
#define GDK_KEY_Hangul_YA GDK_Hangul_YA
#define GDK_KEY_Hangul_YAE GDK_Hangul_YAE
#define GDK_KEY_Hangul_EO GDK_Hangul_EO
#define GDK_KEY_Hangul_E GDK_Hangul_E
#define GDK_KEY_Hangul_YEO GDK_Hangul_YEO
#define GDK_KEY_Hangul_YE GDK_Hangul_YE
#define GDK_KEY_Hangul_O GDK_Hangul_O
#define GDK_KEY_Hangul_WA GDK_Hangul_WA
#define GDK_KEY_Hangul_WAE GDK_Hangul_WAE
#define GDK_KEY_Hangul_OE GDK_Hangul_OE
#define GDK_KEY_Hangul_YO GDK_Hangul_YO
#define GDK_KEY_Hangul_U GDK_Hangul_U
#define GDK_KEY_Hangul_WEO GDK_Hangul_WEO
#define GDK_KEY_Hangul_WE GDK_Hangul_WE
#define GDK_KEY_Hangul_WI GDK_Hangul_WI
#define GDK_KEY_Hangul_YU GDK_Hangul_YU
#define GDK_KEY_Hangul_EU GDK_Hangul_EU
#define GDK_KEY_Hangul_YI GDK_Hangul_YI
#define GDK_KEY_Hangul_I GDK_Hangul_I
#define GDK_KEY_Hangul_J_Kiyeog GDK_Hangul_J_Kiyeog
#define GDK_KEY_Hangul_J_SsangKiyeog GDK_Hangul_J_SsangKiyeog
#define GDK_KEY_Hangul_J_KiyeogSios GDK_Hangul_J_KiyeogSios
#define GDK_KEY_Hangul_J_Nieun GDK_Hangul_J_Nieun
#define GDK_KEY_Hangul_J_NieunJieuj GDK_Hangul_J_NieunJieuj
#define GDK_KEY_Hangul_J_NieunHieuh GDK_Hangul_J_NieunHieuh
#define GDK_KEY_Hangul_J_Dikeud GDK_Hangul_J_Dikeud
#define GDK_KEY_Hangul_J_Rieul GDK_Hangul_J_Rieul
#define GDK_KEY_Hangul_J_RieulKiyeog GDK_Hangul_J_RieulKiyeog
#define GDK_KEY_Hangul_J_RieulMieum GDK_Hangul_J_RieulMieum
#define GDK_KEY_Hangul_J_RieulPieub GDK_Hangul_J_RieulPieub
#define GDK_KEY_Hangul_J_RieulSios GDK_Hangul_J_RieulSios
#define GDK_KEY_Hangul_J_RieulTieut GDK_Hangul_J_RieulTieut
#define GDK_KEY_Hangul_J_RieulPhieuf GDK_Hangul_J_RieulPhieuf
#define GDK_KEY_Hangul_J_RieulHieuh GDK_Hangul_J_RieulHieuh
#define GDK_KEY_Hangul_J_Mieum GDK_Hangul_J_Mieum
#define GDK_KEY_Hangul_J_Pieub GDK_Hangul_J_Pieub
#define GDK_KEY_Hangul_J_PieubSios GDK_Hangul_J_PieubSios
#define GDK_KEY_Hangul_J_Sios GDK_Hangul_J_Sios
#define GDK_KEY_Hangul_J_SsangSios GDK_Hangul_J_SsangSios
#define GDK_KEY_Hangul_J_Ieung GDK_Hangul_J_Ieung
#define GDK_KEY_Hangul_J_Jieuj GDK_Hangul_J_Jieuj
#define GDK_KEY_Hangul_J_Cieuc GDK_Hangul_J_Cieuc
#define GDK_KEY_Hangul_J_Khieuq GDK_Hangul_J_Khieuq
#define GDK_KEY_Hangul_J_Tieut GDK_Hangul_J_Tieut
#define GDK_KEY_Hangul_J_Phieuf GDK_Hangul_J_Phieuf
#define GDK_KEY_Hangul_J_Hieuh GDK_Hangul_J_Hieuh
#define GDK_KEY_Hangul_RieulYeorinHieuh GDK_Hangul_RieulYeorinHieuh
#define GDK_KEY_Hangul_SunkyeongeumMieum GDK_Hangul_SunkyeongeumMieum
#define GDK_KEY_Hangul_SunkyeongeumPieub GDK_Hangul_SunkyeongeumPieub
#define GDK_KEY_Hangul_PanSios GDK_Hangul_PanSios
#define GDK_KEY_Hangul_KkogjiDalrinIeung GDK_Hangul_KkogjiDalrinIeung
#define GDK_KEY_Hangul_SunkyeongeumPhieuf GDK_Hangul_SunkyeongeumPhieuf
#define GDK_KEY_Hangul_YeorinHieuh GDK_Hangul_YeorinHieuh
#define GDK_KEY_Hangul_AraeA GDK_Hangul_AraeA
#define GDK_KEY_Hangul_AraeAE GDK_Hangul_AraeAE
#define GDK_KEY_Hangul_J_PanSios GDK_Hangul_J_PanSios
#define GDK_KEY_Hangul_J_KkogjiDalrinIeung GDK_Hangul_J_KkogjiDalrinIeung
#define GDK_KEY_Hangul_J_YeorinHieuh GDK_Hangul_J_YeorinHieuh
#define GDK_KEY_Korean_Won GDK_Korean_Won
#define GDK_KEY_Armenian_ligature_ew GDK_Armenian_ligature_ew
#define GDK_KEY_Armenian_full_stop GDK_Armenian_full_stop
#define GDK_KEY_Armenian_verjaket GDK_Armenian_verjaket
#define GDK_KEY_Armenian_separation_mark GDK_Armenian_separation_mark
#define GDK_KEY_Armenian_but GDK_Armenian_but
#define GDK_KEY_Armenian_hyphen GDK_Armenian_hyphen
#define GDK_KEY_Armenian_yentamna GDK_Armenian_yentamna
#define GDK_KEY_Armenian_exclam GDK_Armenian_exclam
#define GDK_KEY_Armenian_amanak GDK_Armenian_amanak
#define GDK_KEY_Armenian_accent GDK_Armenian_accent
#define GDK_KEY_Armenian_shesht GDK_Armenian_shesht
#define GDK_KEY_Armenian_question GDK_Armenian_question
#define GDK_KEY_Armenian_paruyk GDK_Armenian_paruyk
#define GDK_KEY_Armenian_AYB GDK_Armenian_AYB
#define GDK_KEY_Armenian_ayb GDK_Armenian_ayb
#define GDK_KEY_Armenian_BEN GDK_Armenian_BEN
#define GDK_KEY_Armenian_ben GDK_Armenian_ben
#define GDK_KEY_Armenian_GIM GDK_Armenian_GIM
#define GDK_KEY_Armenian_gim GDK_Armenian_gim
#define GDK_KEY_Armenian_DA GDK_Armenian_DA
#define GDK_KEY_Armenian_da GDK_Armenian_da
#define GDK_KEY_Armenian_YECH GDK_Armenian_YECH
#define GDK_KEY_Armenian_yech GDK_Armenian_yech
#define GDK_KEY_Armenian_ZA GDK_Armenian_ZA
#define GDK_KEY_Armenian_za GDK_Armenian_za
#define GDK_KEY_Armenian_E GDK_Armenian_E
#define GDK_KEY_Armenian_e GDK_Armenian_e
#define GDK_KEY_Armenian_AT GDK_Armenian_AT
#define GDK_KEY_Armenian_at GDK_Armenian_at
#define GDK_KEY_Armenian_TO GDK_Armenian_TO
#define GDK_KEY_Armenian_to GDK_Armenian_to
#define GDK_KEY_Armenian_ZHE GDK_Armenian_ZHE
#define GDK_KEY_Armenian_zhe GDK_Armenian_zhe
#define GDK_KEY_Armenian_INI GDK_Armenian_INI
#define GDK_KEY_Armenian_ini GDK_Armenian_ini
#define GDK_KEY_Armenian_LYUN GDK_Armenian_LYUN
#define GDK_KEY_Armenian_lyun GDK_Armenian_lyun
#define GDK_KEY_Armenian_KHE GDK_Armenian_KHE
#define GDK_KEY_Armenian_khe GDK_Armenian_khe
#define GDK_KEY_Armenian_TSA GDK_Armenian_TSA
#define GDK_KEY_Armenian_tsa GDK_Armenian_tsa
#define GDK_KEY_Armenian_KEN GDK_Armenian_KEN
#define GDK_KEY_Armenian_ken GDK_Armenian_ken
#define GDK_KEY_Armenian_HO GDK_Armenian_HO
#define GDK_KEY_Armenian_ho GDK_Armenian_ho
#define GDK_KEY_Armenian_DZA GDK_Armenian_DZA
#define GDK_KEY_Armenian_dza GDK_Armenian_dza
#define GDK_KEY_Armenian_GHAT GDK_Armenian_GHAT
#define GDK_KEY_Armenian_ghat GDK_Armenian_ghat
#define GDK_KEY_Armenian_TCHE GDK_Armenian_TCHE
#define GDK_KEY_Armenian_tche GDK_Armenian_tche
#define GDK_KEY_Armenian_MEN GDK_Armenian_MEN
#define GDK_KEY_Armenian_men GDK_Armenian_men
#define GDK_KEY_Armenian_HI GDK_Armenian_HI
#define GDK_KEY_Armenian_hi GDK_Armenian_hi
#define GDK_KEY_Armenian_NU GDK_Armenian_NU
#define GDK_KEY_Armenian_nu GDK_Armenian_nu
#define GDK_KEY_Armenian_SHA GDK_Armenian_SHA
#define GDK_KEY_Armenian_sha GDK_Armenian_sha
#define GDK_KEY_Armenian_VO GDK_Armenian_VO
#define GDK_KEY_Armenian_vo GDK_Armenian_vo
#define GDK_KEY_Armenian_CHA GDK_Armenian_CHA
#define GDK_KEY_Armenian_cha GDK_Armenian_cha
#define GDK_KEY_Armenian_PE GDK_Armenian_PE
#define GDK_KEY_Armenian_pe GDK_Armenian_pe
#define GDK_KEY_Armenian_JE GDK_Armenian_JE
#define GDK_KEY_Armenian_je GDK_Armenian_je
#define GDK_KEY_Armenian_RA GDK_Armenian_RA
#define GDK_KEY_Armenian_ra GDK_Armenian_ra
#define GDK_KEY_Armenian_SE GDK_Armenian_SE
#define GDK_KEY_Armenian_se GDK_Armenian_se
#define GDK_KEY_Armenian_VEV GDK_Armenian_VEV
#define GDK_KEY_Armenian_vev GDK_Armenian_vev
#define GDK_KEY_Armenian_TYUN GDK_Armenian_TYUN
#define GDK_KEY_Armenian_tyun GDK_Armenian_tyun
#define GDK_KEY_Armenian_RE GDK_Armenian_RE
#define GDK_KEY_Armenian_re GDK_Armenian_re
#define GDK_KEY_Armenian_TSO GDK_Armenian_TSO
#define GDK_KEY_Armenian_tso GDK_Armenian_tso
#define GDK_KEY_Armenian_VYUN GDK_Armenian_VYUN
#define GDK_KEY_Armenian_vyun GDK_Armenian_vyun
#define GDK_KEY_Armenian_PYUR GDK_Armenian_PYUR
#define GDK_KEY_Armenian_pyur GDK_Armenian_pyur
#define GDK_KEY_Armenian_KE GDK_Armenian_KE
#define GDK_KEY_Armenian_ke GDK_Armenian_ke
#define GDK_KEY_Armenian_O GDK_Armenian_O
#define GDK_KEY_Armenian_o GDK_Armenian_o
#define GDK_KEY_Armenian_FE GDK_Armenian_FE
#define GDK_KEY_Armenian_fe GDK_Armenian_fe
#define GDK_KEY_Armenian_apostrophe GDK_Armenian_apostrophe
#define GDK_KEY_Georgian_an GDK_Georgian_an
#define GDK_KEY_Georgian_ban GDK_Georgian_ban
#define GDK_KEY_Georgian_gan GDK_Georgian_gan
#define GDK_KEY_Georgian_don GDK_Georgian_don
#define GDK_KEY_Georgian_en GDK_Georgian_en
#define GDK_KEY_Georgian_vin GDK_Georgian_vin
#define GDK_KEY_Georgian_zen GDK_Georgian_zen
#define GDK_KEY_Georgian_tan GDK_Georgian_tan
#define GDK_KEY_Georgian_in GDK_Georgian_in
#define GDK_KEY_Georgian_kan GDK_Georgian_kan
#define GDK_KEY_Georgian_las GDK_Georgian_las
#define GDK_KEY_Georgian_man GDK_Georgian_man
#define GDK_KEY_Georgian_nar GDK_Georgian_nar
#define GDK_KEY_Georgian_on GDK_Georgian_on
#define GDK_KEY_Georgian_par GDK_Georgian_par
#define GDK_KEY_Georgian_zhar GDK_Georgian_zhar
#define GDK_KEY_Georgian_rae GDK_Georgian_rae
#define GDK_KEY_Georgian_san GDK_Georgian_san
#define GDK_KEY_Georgian_tar GDK_Georgian_tar
#define GDK_KEY_Georgian_un GDK_Georgian_un
#define GDK_KEY_Georgian_phar GDK_Georgian_phar
#define GDK_KEY_Georgian_khar GDK_Georgian_khar
#define GDK_KEY_Georgian_ghan GDK_Georgian_ghan
#define GDK_KEY_Georgian_qar GDK_Georgian_qar
#define GDK_KEY_Georgian_shin GDK_Georgian_shin
#define GDK_KEY_Georgian_chin GDK_Georgian_chin
#define GDK_KEY_Georgian_can GDK_Georgian_can
#define GDK_KEY_Georgian_jil GDK_Georgian_jil
#define GDK_KEY_Georgian_cil GDK_Georgian_cil
#define GDK_KEY_Georgian_char GDK_Georgian_char
#define GDK_KEY_Georgian_xan GDK_Georgian_xan
#define GDK_KEY_Georgian_jhan GDK_Georgian_jhan
#define GDK_KEY_Georgian_hae GDK_Georgian_hae
#define GDK_KEY_Georgian_he GDK_Georgian_he
#define GDK_KEY_Georgian_hie GDK_Georgian_hie
#define GDK_KEY_Georgian_we GDK_Georgian_we
#define GDK_KEY_Georgian_har GDK_Georgian_har
#define GDK_KEY_Georgian_hoe GDK_Georgian_hoe
#define GDK_KEY_Georgian_fi GDK_Georgian_fi
#define GDK_KEY_Xabovedot GDK_Xabovedot
#define GDK_KEY_Ibreve GDK_Ibreve
#define GDK_KEY_Zstroke GDK_Zstroke
#define GDK_KEY_Gcaron GDK_Gcaron
#define GDK_KEY_Ocaron GDK_Ocaron
#define GDK_KEY_Obarred GDK_Obarred
#define GDK_KEY_xabovedot GDK_xabovedot
#define GDK_KEY_ibreve GDK_ibreve
#define GDK_KEY_zstroke GDK_zstroke
#define GDK_KEY_gcaron GDK_gcaron
#define GDK_KEY_ocaron GDK_ocaron
#define GDK_KEY_obarred GDK_obarred
#define GDK_KEY_SCHWA GDK_SCHWA
#define GDK_KEY_schwa GDK_schwa
#define GDK_KEY_Lbelowdot GDK_Lbelowdot
#define GDK_KEY_lbelowdot GDK_lbelowdot
#define GDK_KEY_Abelowdot GDK_Abelowdot
#define GDK_KEY_abelowdot GDK_abelowdot
#define GDK_KEY_Ahook GDK_Ahook
#define GDK_KEY_ahook GDK_ahook
#define GDK_KEY_Acircumflexacute GDK_Acircumflexacute
#define GDK_KEY_acircumflexacute GDK_acircumflexacute
#define GDK_KEY_Acircumflexgrave GDK_Acircumflexgrave
#define GDK_KEY_acircumflexgrave GDK_acircumflexgrave
#define GDK_KEY_Acircumflexhook GDK_Acircumflexhook
#define GDK_KEY_acircumflexhook GDK_acircumflexhook
#define GDK_KEY_Acircumflextilde GDK_Acircumflextilde
#define GDK_KEY_acircumflextilde GDK_acircumflextilde
#define GDK_KEY_Acircumflexbelowdot GDK_Acircumflexbelowdot
#define GDK_KEY_acircumflexbelowdot GDK_acircumflexbelowdot
#define GDK_KEY_Abreveacute GDK_Abreveacute
#define GDK_KEY_abreveacute GDK_abreveacute
#define GDK_KEY_Abrevegrave GDK_Abrevegrave
#define GDK_KEY_abrevegrave GDK_abrevegrave
#define GDK_KEY_Abrevehook GDK_Abrevehook
#define GDK_KEY_abrevehook GDK_abrevehook
#define GDK_KEY_Abrevetilde GDK_Abrevetilde
#define GDK_KEY_abrevetilde GDK_abrevetilde
#define GDK_KEY_Abrevebelowdot GDK_Abrevebelowdot
#define GDK_KEY_abrevebelowdot GDK_abrevebelowdot
#define GDK_KEY_Ebelowdot GDK_Ebelowdot
#define GDK_KEY_ebelowdot GDK_ebelowdot
#define GDK_KEY_Ehook GDK_Ehook
#define GDK_KEY_ehook GDK_ehook
#define GDK_KEY_Etilde GDK_Etilde
#define GDK_KEY_etilde GDK_etilde
#define GDK_KEY_Ecircumflexacute GDK_Ecircumflexacute
#define GDK_KEY_ecircumflexacute GDK_ecircumflexacute
#define GDK_KEY_Ecircumflexgrave GDK_Ecircumflexgrave
#define GDK_KEY_ecircumflexgrave GDK_ecircumflexgrave
#define GDK_KEY_Ecircumflexhook GDK_Ecircumflexhook
#define GDK_KEY_ecircumflexhook GDK_ecircumflexhook
#define GDK_KEY_Ecircumflextilde GDK_Ecircumflextilde
#define GDK_KEY_ecircumflextilde GDK_ecircumflextilde
#define GDK_KEY_Ecircumflexbelowdot GDK_Ecircumflexbelowdot
#define GDK_KEY_ecircumflexbelowdot GDK_ecircumflexbelowdot
#define GDK_KEY_Ihook GDK_Ihook
#define GDK_KEY_ihook GDK_ihook
#define GDK_KEY_Ibelowdot GDK_Ibelowdot
#define GDK_KEY_ibelowdot GDK_ibelowdot
#define GDK_KEY_Obelowdot GDK_Obelowdot
#define GDK_KEY_obelowdot GDK_obelowdot
#define GDK_KEY_Ohook GDK_Ohook
#define GDK_KEY_ohook GDK_ohook
#define GDK_KEY_Ocircumflexacute GDK_Ocircumflexacute
#define GDK_KEY_ocircumflexacute GDK_ocircumflexacute
#define GDK_KEY_Ocircumflexgrave GDK_Ocircumflexgrave
#define GDK_KEY_ocircumflexgrave GDK_ocircumflexgrave
#define GDK_KEY_Ocircumflexhook GDK_Ocircumflexhook
#define GDK_KEY_ocircumflexhook GDK_ocircumflexhook
#define GDK_KEY_Ocircumflextilde GDK_Ocircumflextilde
#define GDK_KEY_ocircumflextilde GDK_ocircumflextilde
#define GDK_KEY_Ocircumflexbelowdot GDK_Ocircumflexbelowdot
#define GDK_KEY_ocircumflexbelowdot GDK_ocircumflexbelowdot
#define GDK_KEY_Ohornacute GDK_Ohornacute
#define GDK_KEY_ohornacute GDK_ohornacute
#define GDK_KEY_Ohorngrave GDK_Ohorngrave
#define GDK_KEY_ohorngrave GDK_ohorngrave
#define GDK_KEY_Ohornhook GDK_Ohornhook
#define GDK_KEY_ohornhook GDK_ohornhook
#define GDK_KEY_Ohorntilde GDK_Ohorntilde
#define GDK_KEY_ohorntilde GDK_ohorntilde
#define GDK_KEY_Ohornbelowdot GDK_Ohornbelowdot
#define GDK_KEY_ohornbelowdot GDK_ohornbelowdot
#define GDK_KEY_Ubelowdot GDK_Ubelowdot
#define GDK_KEY_ubelowdot GDK_ubelowdot
#define GDK_KEY_Uhook GDK_Uhook
#define GDK_KEY_uhook GDK_uhook
#define GDK_KEY_Uhornacute GDK_Uhornacute
#define GDK_KEY_uhornacute GDK_uhornacute
#define GDK_KEY_Uhorngrave GDK_Uhorngrave
#define GDK_KEY_uhorngrave GDK_uhorngrave
#define GDK_KEY_Uhornhook GDK_Uhornhook
#define GDK_KEY_uhornhook GDK_uhornhook
#define GDK_KEY_Uhorntilde GDK_Uhorntilde
#define GDK_KEY_uhorntilde GDK_uhorntilde
#define GDK_KEY_Uhornbelowdot GDK_Uhornbelowdot
#define GDK_KEY_uhornbelowdot GDK_uhornbelowdot
#define GDK_KEY_Ybelowdot GDK_Ybelowdot
#define GDK_KEY_ybelowdot GDK_ybelowdot
#define GDK_KEY_Yhook GDK_Yhook
#define GDK_KEY_yhook GDK_yhook
#define GDK_KEY_Ytilde GDK_Ytilde
#define GDK_KEY_ytilde GDK_ytilde
#define GDK_KEY_Ohorn GDK_Ohorn
#define GDK_KEY_ohorn GDK_ohorn
#define GDK_KEY_Uhorn GDK_Uhorn
#define GDK_KEY_uhorn GDK_uhorn
#define GDK_KEY_EcuSign GDK_EcuSign
#define GDK_KEY_ColonSign GDK_ColonSign
#define GDK_KEY_CruzeiroSign GDK_CruzeiroSign
#define GDK_KEY_FFrancSign GDK_FFrancSign
#define GDK_KEY_LiraSign GDK_LiraSign
#define GDK_KEY_MillSign GDK_MillSign
#define GDK_KEY_NairaSign GDK_NairaSign
#define GDK_KEY_PesetaSign GDK_PesetaSign
#define GDK_KEY_RupeeSign GDK_RupeeSign
#define GDK_KEY_WonSign GDK_WonSign
#define GDK_KEY_NewSheqelSign GDK_NewSheqelSign
#define GDK_KEY_DongSign GDK_DongSign
#define GDK_KEY_EuroSign GDK_EuroSign
#define GDK_KEY_zerosuperior GDK_zerosuperior
#define GDK_KEY_foursuperior GDK_foursuperior
#define GDK_KEY_fivesuperior GDK_fivesuperior
#define GDK_KEY_sixsuperior GDK_sixsuperior
#define GDK_KEY_sevensuperior GDK_sevensuperior
#define GDK_KEY_eightsuperior GDK_eightsuperior
#define GDK_KEY_ninesuperior GDK_ninesuperior
#define GDK_KEY_zerosubscript GDK_zerosubscript
#define GDK_KEY_onesubscript GDK_onesubscript
#define GDK_KEY_twosubscript GDK_twosubscript
#define GDK_KEY_threesubscript GDK_threesubscript
#define GDK_KEY_foursubscript GDK_foursubscript
#define GDK_KEY_fivesubscript GDK_fivesubscript
#define GDK_KEY_sixsubscript GDK_sixsubscript
#define GDK_KEY_sevensubscript GDK_sevensubscript
#define GDK_KEY_eightsubscript GDK_eightsubscript
#define GDK_KEY_ninesubscript GDK_ninesubscript
#define GDK_KEY_partdifferential GDK_partdifferential
#define GDK_KEY_emptyset GDK_emptyset
#define GDK_KEY_elementof GDK_elementof
#define GDK_KEY_notelementof GDK_notelementof
#define GDK_KEY_containsas GDK_containsas
#define GDK_KEY_squareroot GDK_squareroot
#define GDK_KEY_cuberoot GDK_cuberoot
#define GDK_KEY_fourthroot GDK_fourthroot
#define GDK_KEY_dintegral GDK_dintegral
#define GDK_KEY_tintegral GDK_tintegral
#define GDK_KEY_because GDK_because
#define GDK_KEY_approxeq GDK_approxeq
#define GDK_KEY_notapproxeq GDK_notapproxeq
#define GDK_KEY_notidentical GDK_notidentical
#define GDK_KEY_stricteq GDK_stricteq
#define GDK_KEY_braille_dot_1 GDK_braille_dot_1
#define GDK_KEY_braille_dot_2 GDK_braille_dot_2
#define GDK_KEY_braille_dot_3 GDK_braille_dot_3
#define GDK_KEY_braille_dot_4 GDK_braille_dot_4
#define GDK_KEY_braille_dot_5 GDK_braille_dot_5
#define GDK_KEY_braille_dot_6 GDK_braille_dot_6
#define GDK_KEY_braille_dot_7 GDK_braille_dot_7
#define GDK_KEY_braille_dot_8 GDK_braille_dot_8
#define GDK_KEY_braille_dot_9 GDK_braille_dot_9
#define GDK_KEY_braille_dot_10 GDK_braille_dot_10
#define GDK_KEY_braille_blank GDK_braille_blank
#define GDK_KEY_braille_dots_1 GDK_braille_dots_1
#define GDK_KEY_braille_dots_2 GDK_braille_dots_2
#define GDK_KEY_braille_dots_12 GDK_braille_dots_12
#define GDK_KEY_braille_dots_3 GDK_braille_dots_3
#define GDK_KEY_braille_dots_13 GDK_braille_dots_13
#define GDK_KEY_braille_dots_23 GDK_braille_dots_23
#define GDK_KEY_braille_dots_123 GDK_braille_dots_123
#define GDK_KEY_braille_dots_4 GDK_braille_dots_4
#define GDK_KEY_braille_dots_14 GDK_braille_dots_14
#define GDK_KEY_braille_dots_24 GDK_braille_dots_24
#define GDK_KEY_braille_dots_124 GDK_braille_dots_124
#define GDK_KEY_braille_dots_34 GDK_braille_dots_34
#define GDK_KEY_braille_dots_134 GDK_braille_dots_134
#define GDK_KEY_braille_dots_234 GDK_braille_dots_234
#define GDK_KEY_braille_dots_1234 GDK_braille_dots_1234
#define GDK_KEY_braille_dots_5 GDK_braille_dots_5
#define GDK_KEY_braille_dots_15 GDK_braille_dots_15
#define GDK_KEY_braille_dots_25 GDK_braille_dots_25
#define GDK_KEY_braille_dots_125 GDK_braille_dots_125
#define GDK_KEY_braille_dots_35 GDK_braille_dots_35
#define GDK_KEY_braille_dots_135 GDK_braille_dots_135
#define GDK_KEY_braille_dots_235 GDK_braille_dots_235
#define GDK_KEY_braille_dots_1235 GDK_braille_dots_1235
#define GDK_KEY_braille_dots_45 GDK_braille_dots_45
#define GDK_KEY_braille_dots_145 GDK_braille_dots_145
#define GDK_KEY_braille_dots_245 GDK_braille_dots_245
#define GDK_KEY_braille_dots_1245 GDK_braille_dots_1245
#define GDK_KEY_braille_dots_345 GDK_braille_dots_345
#define GDK_KEY_braille_dots_1345 GDK_braille_dots_1345
#define GDK_KEY_braille_dots_2345 GDK_braille_dots_2345
#define GDK_KEY_braille_dots_12345 GDK_braille_dots_12345
#define GDK_KEY_braille_dots_6 GDK_braille_dots_6
#define GDK_KEY_braille_dots_16 GDK_braille_dots_16
#define GDK_KEY_braille_dots_26 GDK_braille_dots_26
#define GDK_KEY_braille_dots_126 GDK_braille_dots_126
#define GDK_KEY_braille_dots_36 GDK_braille_dots_36
#define GDK_KEY_braille_dots_136 GDK_braille_dots_136
#define GDK_KEY_braille_dots_236 GDK_braille_dots_236
#define GDK_KEY_braille_dots_1236 GDK_braille_dots_1236
#define GDK_KEY_braille_dots_46 GDK_braille_dots_46
#define GDK_KEY_braille_dots_146 GDK_braille_dots_146
#define GDK_KEY_braille_dots_246 GDK_braille_dots_246
#define GDK_KEY_braille_dots_1246 GDK_braille_dots_1246
#define GDK_KEY_braille_dots_346 GDK_braille_dots_346
#define GDK_KEY_braille_dots_1346 GDK_braille_dots_1346
#define GDK_KEY_braille_dots_2346 GDK_braille_dots_2346
#define GDK_KEY_braille_dots_12346 GDK_braille_dots_12346
#define GDK_KEY_braille_dots_56 GDK_braille_dots_56
#define GDK_KEY_braille_dots_156 GDK_braille_dots_156
#define GDK_KEY_braille_dots_256 GDK_braille_dots_256
#define GDK_KEY_braille_dots_1256 GDK_braille_dots_1256
#define GDK_KEY_braille_dots_356 GDK_braille_dots_356
#define GDK_KEY_braille_dots_1356 GDK_braille_dots_1356
#define GDK_KEY_braille_dots_2356 GDK_braille_dots_2356
#define GDK_KEY_braille_dots_12356 GDK_braille_dots_12356
#define GDK_KEY_braille_dots_456 GDK_braille_dots_456
#define GDK_KEY_braille_dots_1456 GDK_braille_dots_1456
#define GDK_KEY_braille_dots_2456 GDK_braille_dots_2456
#define GDK_KEY_braille_dots_12456 GDK_braille_dots_12456
#define GDK_KEY_braille_dots_3456 GDK_braille_dots_3456
#define GDK_KEY_braille_dots_13456 GDK_braille_dots_13456
#define GDK_KEY_braille_dots_23456 GDK_braille_dots_23456
#define GDK_KEY_braille_dots_123456 GDK_braille_dots_123456
#define GDK_KEY_braille_dots_7 GDK_braille_dots_7
#define GDK_KEY_braille_dots_17 GDK_braille_dots_17
#define GDK_KEY_braille_dots_27 GDK_braille_dots_27
#define GDK_KEY_braille_dots_127 GDK_braille_dots_127
#define GDK_KEY_braille_dots_37 GDK_braille_dots_37
#define GDK_KEY_braille_dots_137 GDK_braille_dots_137
#define GDK_KEY_braille_dots_237 GDK_braille_dots_237
#define GDK_KEY_braille_dots_1237 GDK_braille_dots_1237
#define GDK_KEY_braille_dots_47 GDK_braille_dots_47
#define GDK_KEY_braille_dots_147 GDK_braille_dots_147
#define GDK_KEY_braille_dots_247 GDK_braille_dots_247
#define GDK_KEY_braille_dots_1247 GDK_braille_dots_1247
#define GDK_KEY_braille_dots_347 GDK_braille_dots_347
#define GDK_KEY_braille_dots_1347 GDK_braille_dots_1347
#define GDK_KEY_braille_dots_2347 GDK_braille_dots_2347
#define GDK_KEY_braille_dots_12347 GDK_braille_dots_12347
#define GDK_KEY_braille_dots_57 GDK_braille_dots_57
#define GDK_KEY_braille_dots_157 GDK_braille_dots_157
#define GDK_KEY_braille_dots_257 GDK_braille_dots_257
#define GDK_KEY_braille_dots_1257 GDK_braille_dots_1257
#define GDK_KEY_braille_dots_357 GDK_braille_dots_357
#define GDK_KEY_braille_dots_1357 GDK_braille_dots_1357
#define GDK_KEY_braille_dots_2357 GDK_braille_dots_2357
#define GDK_KEY_braille_dots_12357 GDK_braille_dots_12357
#define GDK_KEY_braille_dots_457 GDK_braille_dots_457
#define GDK_KEY_braille_dots_1457 GDK_braille_dots_1457
#define GDK_KEY_braille_dots_2457 GDK_braille_dots_2457
#define GDK_KEY_braille_dots_12457 GDK_braille_dots_12457
#define GDK_KEY_braille_dots_3457 GDK_braille_dots_3457
#define GDK_KEY_braille_dots_13457 GDK_braille_dots_13457
#define GDK_KEY_braille_dots_23457 GDK_braille_dots_23457
#define GDK_KEY_braille_dots_123457 GDK_braille_dots_123457
#define GDK_KEY_braille_dots_67 GDK_braille_dots_67
#define GDK_KEY_braille_dots_167 GDK_braille_dots_167
#define GDK_KEY_braille_dots_267 GDK_braille_dots_267
#define GDK_KEY_braille_dots_1267 GDK_braille_dots_1267
#define GDK_KEY_braille_dots_367 GDK_braille_dots_367
#define GDK_KEY_braille_dots_1367 GDK_braille_dots_1367
#define GDK_KEY_braille_dots_2367 GDK_braille_dots_2367
#define GDK_KEY_braille_dots_12367 GDK_braille_dots_12367
#define GDK_KEY_braille_dots_467 GDK_braille_dots_467
#define GDK_KEY_braille_dots_1467 GDK_braille_dots_1467
#define GDK_KEY_braille_dots_2467 GDK_braille_dots_2467
#define GDK_KEY_braille_dots_12467 GDK_braille_dots_12467
#define GDK_KEY_braille_dots_3467 GDK_braille_dots_3467
#define GDK_KEY_braille_dots_13467 GDK_braille_dots_13467
#define GDK_KEY_braille_dots_23467 GDK_braille_dots_23467
#define GDK_KEY_braille_dots_123467 GDK_braille_dots_123467
#define GDK_KEY_braille_dots_567 GDK_braille_dots_567
#define GDK_KEY_braille_dots_1567 GDK_braille_dots_1567
#define GDK_KEY_braille_dots_2567 GDK_braille_dots_2567
#define GDK_KEY_braille_dots_12567 GDK_braille_dots_12567
#define GDK_KEY_braille_dots_3567 GDK_braille_dots_3567
#define GDK_KEY_braille_dots_13567 GDK_braille_dots_13567
#define GDK_KEY_braille_dots_23567 GDK_braille_dots_23567
#define GDK_KEY_braille_dots_123567 GDK_braille_dots_123567
#define GDK_KEY_braille_dots_4567 GDK_braille_dots_4567
#define GDK_KEY_braille_dots_14567 GDK_braille_dots_14567
#define GDK_KEY_braille_dots_24567 GDK_braille_dots_24567
#define GDK_KEY_braille_dots_124567 GDK_braille_dots_124567
#define GDK_KEY_braille_dots_34567 GDK_braille_dots_34567
#define GDK_KEY_braille_dots_134567 GDK_braille_dots_134567
#define GDK_KEY_braille_dots_234567 GDK_braille_dots_234567
#define GDK_KEY_braille_dots_1234567 GDK_braille_dots_1234567
#define GDK_KEY_braille_dots_8 GDK_braille_dots_8
#define GDK_KEY_braille_dots_18 GDK_braille_dots_18
#define GDK_KEY_braille_dots_28 GDK_braille_dots_28
#define GDK_KEY_braille_dots_128 GDK_braille_dots_128
#define GDK_KEY_braille_dots_38 GDK_braille_dots_38
#define GDK_KEY_braille_dots_138 GDK_braille_dots_138
#define GDK_KEY_braille_dots_238 GDK_braille_dots_238
#define GDK_KEY_braille_dots_1238 GDK_braille_dots_1238
#define GDK_KEY_braille_dots_48 GDK_braille_dots_48
#define GDK_KEY_braille_dots_148 GDK_braille_dots_148
#define GDK_KEY_braille_dots_248 GDK_braille_dots_248
#define GDK_KEY_braille_dots_1248 GDK_braille_dots_1248
#define GDK_KEY_braille_dots_348 GDK_braille_dots_348
#define GDK_KEY_braille_dots_1348 GDK_braille_dots_1348
#define GDK_KEY_braille_dots_2348 GDK_braille_dots_2348
#define GDK_KEY_braille_dots_12348 GDK_braille_dots_12348
#define GDK_KEY_braille_dots_58 GDK_braille_dots_58
#define GDK_KEY_braille_dots_158 GDK_braille_dots_158
#define GDK_KEY_braille_dots_258 GDK_braille_dots_258
#define GDK_KEY_braille_dots_1258 GDK_braille_dots_1258
#define GDK_KEY_braille_dots_358 GDK_braille_dots_358
#define GDK_KEY_braille_dots_1358 GDK_braille_dots_1358
#define GDK_KEY_braille_dots_2358 GDK_braille_dots_2358
#define GDK_KEY_braille_dots_12358 GDK_braille_dots_12358
#define GDK_KEY_braille_dots_458 GDK_braille_dots_458
#define GDK_KEY_braille_dots_1458 GDK_braille_dots_1458
#define GDK_KEY_braille_dots_2458 GDK_braille_dots_2458
#define GDK_KEY_braille_dots_12458 GDK_braille_dots_12458
#define GDK_KEY_braille_dots_3458 GDK_braille_dots_3458
#define GDK_KEY_braille_dots_13458 GDK_braille_dots_13458
#define GDK_KEY_braille_dots_23458 GDK_braille_dots_23458
#define GDK_KEY_braille_dots_123458 GDK_braille_dots_123458
#define GDK_KEY_braille_dots_68 GDK_braille_dots_68
#define GDK_KEY_braille_dots_168 GDK_braille_dots_168
#define GDK_KEY_braille_dots_268 GDK_braille_dots_268
#define GDK_KEY_braille_dots_1268 GDK_braille_dots_1268
#define GDK_KEY_braille_dots_368 GDK_braille_dots_368
#define GDK_KEY_braille_dots_1368 GDK_braille_dots_1368
#define GDK_KEY_braille_dots_2368 GDK_braille_dots_2368
#define GDK_KEY_braille_dots_12368 GDK_braille_dots_12368
#define GDK_KEY_braille_dots_468 GDK_braille_dots_468
#define GDK_KEY_braille_dots_1468 GDK_braille_dots_1468
#define GDK_KEY_braille_dots_2468 GDK_braille_dots_2468
#define GDK_KEY_braille_dots_12468 GDK_braille_dots_12468
#define GDK_KEY_braille_dots_3468 GDK_braille_dots_3468
#define GDK_KEY_braille_dots_13468 GDK_braille_dots_13468
#define GDK_KEY_braille_dots_23468 GDK_braille_dots_23468
#define GDK_KEY_braille_dots_123468 GDK_braille_dots_123468
#define GDK_KEY_braille_dots_568 GDK_braille_dots_568
#define GDK_KEY_braille_dots_1568 GDK_braille_dots_1568
#define GDK_KEY_braille_dots_2568 GDK_braille_dots_2568
#define GDK_KEY_braille_dots_12568 GDK_braille_dots_12568
#define GDK_KEY_braille_dots_3568 GDK_braille_dots_3568
#define GDK_KEY_braille_dots_13568 GDK_braille_dots_13568
#define GDK_KEY_braille_dots_23568 GDK_braille_dots_23568
#define GDK_KEY_braille_dots_123568 GDK_braille_dots_123568
#define GDK_KEY_braille_dots_4568 GDK_braille_dots_4568
#define GDK_KEY_braille_dots_14568 GDK_braille_dots_14568
#define GDK_KEY_braille_dots_24568 GDK_braille_dots_24568
#define GDK_KEY_braille_dots_124568 GDK_braille_dots_124568
#define GDK_KEY_braille_dots_34568 GDK_braille_dots_34568
#define GDK_KEY_braille_dots_134568 GDK_braille_dots_134568
#define GDK_KEY_braille_dots_234568 GDK_braille_dots_234568
#define GDK_KEY_braille_dots_1234568 GDK_braille_dots_1234568
#define GDK_KEY_braille_dots_78 GDK_braille_dots_78
#define GDK_KEY_braille_dots_178 GDK_braille_dots_178
#define GDK_KEY_braille_dots_278 GDK_braille_dots_278
#define GDK_KEY_braille_dots_1278 GDK_braille_dots_1278
#define GDK_KEY_braille_dots_378 GDK_braille_dots_378
#define GDK_KEY_braille_dots_1378 GDK_braille_dots_1378
#define GDK_KEY_braille_dots_2378 GDK_braille_dots_2378
#define GDK_KEY_braille_dots_12378 GDK_braille_dots_12378
#define GDK_KEY_braille_dots_478 GDK_braille_dots_478
#define GDK_KEY_braille_dots_1478 GDK_braille_dots_1478
#define GDK_KEY_braille_dots_2478 GDK_braille_dots_2478
#define GDK_KEY_braille_dots_12478 GDK_braille_dots_12478
#define GDK_KEY_braille_dots_3478 GDK_braille_dots_3478
#define GDK_KEY_braille_dots_13478 GDK_braille_dots_13478
#define GDK_KEY_braille_dots_23478 GDK_braille_dots_23478
#define GDK_KEY_braille_dots_123478 GDK_braille_dots_123478
#define GDK_KEY_braille_dots_578 GDK_braille_dots_578
#define GDK_KEY_braille_dots_1578 GDK_braille_dots_1578
#define GDK_KEY_braille_dots_2578 GDK_braille_dots_2578
#define GDK_KEY_braille_dots_12578 GDK_braille_dots_12578
#define GDK_KEY_braille_dots_3578 GDK_braille_dots_3578
#define GDK_KEY_braille_dots_13578 GDK_braille_dots_13578
#define GDK_KEY_braille_dots_23578 GDK_braille_dots_23578
#define GDK_KEY_braille_dots_123578 GDK_braille_dots_123578
#define GDK_KEY_braille_dots_4578 GDK_braille_dots_4578
#define GDK_KEY_braille_dots_14578 GDK_braille_dots_14578
#define GDK_KEY_braille_dots_24578 GDK_braille_dots_24578
#define GDK_KEY_braille_dots_124578 GDK_braille_dots_124578
#define GDK_KEY_braille_dots_34578 GDK_braille_dots_34578
#define GDK_KEY_braille_dots_134578 GDK_braille_dots_134578
#define GDK_KEY_braille_dots_234578 GDK_braille_dots_234578
#define GDK_KEY_braille_dots_1234578 GDK_braille_dots_1234578
#define GDK_KEY_braille_dots_678 GDK_braille_dots_678
#define GDK_KEY_braille_dots_1678 GDK_braille_dots_1678
#define GDK_KEY_braille_dots_2678 GDK_braille_dots_2678
#define GDK_KEY_braille_dots_12678 GDK_braille_dots_12678
#define GDK_KEY_braille_dots_3678 GDK_braille_dots_3678
#define GDK_KEY_braille_dots_13678 GDK_braille_dots_13678
#define GDK_KEY_braille_dots_23678 GDK_braille_dots_23678
#define GDK_KEY_braille_dots_123678 GDK_braille_dots_123678
#define GDK_KEY_braille_dots_4678 GDK_braille_dots_4678
#define GDK_KEY_braille_dots_14678 GDK_braille_dots_14678
#define GDK_KEY_braille_dots_24678 GDK_braille_dots_24678
#define GDK_KEY_braille_dots_124678 GDK_braille_dots_124678
#define GDK_KEY_braille_dots_34678 GDK_braille_dots_34678
#define GDK_KEY_braille_dots_134678 GDK_braille_dots_134678
#define GDK_KEY_braille_dots_234678 GDK_braille_dots_234678
#define GDK_KEY_braille_dots_1234678 GDK_braille_dots_1234678
#define GDK_KEY_braille_dots_5678 GDK_braille_dots_5678
#define GDK_KEY_braille_dots_15678 GDK_braille_dots_15678
#define GDK_KEY_braille_dots_25678 GDK_braille_dots_25678
#define GDK_KEY_braille_dots_125678 GDK_braille_dots_125678
#define GDK_KEY_braille_dots_35678 GDK_braille_dots_35678
#define GDK_KEY_braille_dots_135678 GDK_braille_dots_135678
#define GDK_KEY_braille_dots_235678 GDK_braille_dots_235678
#define GDK_KEY_braille_dots_1235678 GDK_braille_dots_1235678
#define GDK_KEY_braille_dots_45678 GDK_braille_dots_45678
#define GDK_KEY_braille_dots_145678 GDK_braille_dots_145678
#define GDK_KEY_braille_dots_245678 GDK_braille_dots_245678
#define GDK_KEY_braille_dots_1245678 GDK_braille_dots_1245678
#define GDK_KEY_braille_dots_345678 GDK_braille_dots_345678
#define GDK_KEY_braille_dots_1345678 GDK_braille_dots_1345678
#define GDK_KEY_braille_dots_2345678 GDK_braille_dots_2345678
#define GDK_KEY_braille_dots_12345678 GDK_braille_dots_12345678
#define GDK_KEY_Sinh_ng GDK_Sinh_ng
#define GDK_KEY_Sinh_h2 GDK_Sinh_h2
#define GDK_KEY_Sinh_a GDK_Sinh_a
#define GDK_KEY_Sinh_aa GDK_Sinh_aa
#define GDK_KEY_Sinh_ae GDK_Sinh_ae
#define GDK_KEY_Sinh_aee GDK_Sinh_aee
#define GDK_KEY_Sinh_i GDK_Sinh_i
#define GDK_KEY_Sinh_ii GDK_Sinh_ii
#define GDK_KEY_Sinh_u GDK_Sinh_u
#define GDK_KEY_Sinh_uu GDK_Sinh_uu
#define GDK_KEY_Sinh_ri GDK_Sinh_ri
#define GDK_KEY_Sinh_rii GDK_Sinh_rii
#define GDK_KEY_Sinh_lu GDK_Sinh_lu
#define GDK_KEY_Sinh_luu GDK_Sinh_luu
#define GDK_KEY_Sinh_e GDK_Sinh_e
#define GDK_KEY_Sinh_ee GDK_Sinh_ee
#define GDK_KEY_Sinh_ai GDK_Sinh_ai
#define GDK_KEY_Sinh_o GDK_Sinh_o
#define GDK_KEY_Sinh_oo GDK_Sinh_oo
#define GDK_KEY_Sinh_au GDK_Sinh_au
#define GDK_KEY_Sinh_ka GDK_Sinh_ka
#define GDK_KEY_Sinh_kha GDK_Sinh_kha
#define GDK_KEY_Sinh_ga GDK_Sinh_ga
#define GDK_KEY_Sinh_gha GDK_Sinh_gha
#define GDK_KEY_Sinh_ng2 GDK_Sinh_ng2
#define GDK_KEY_Sinh_nga GDK_Sinh_nga
#define GDK_KEY_Sinh_ca GDK_Sinh_ca
#define GDK_KEY_Sinh_cha GDK_Sinh_cha
#define GDK_KEY_Sinh_ja GDK_Sinh_ja
#define GDK_KEY_Sinh_jha GDK_Sinh_jha
#define GDK_KEY_Sinh_nya GDK_Sinh_nya
#define GDK_KEY_Sinh_jnya GDK_Sinh_jnya
#define GDK_KEY_Sinh_nja GDK_Sinh_nja
#define GDK_KEY_Sinh_tta GDK_Sinh_tta
#define GDK_KEY_Sinh_ttha GDK_Sinh_ttha
#define GDK_KEY_Sinh_dda GDK_Sinh_dda
#define GDK_KEY_Sinh_ddha GDK_Sinh_ddha
#define GDK_KEY_Sinh_nna GDK_Sinh_nna
#define GDK_KEY_Sinh_ndda GDK_Sinh_ndda
#define GDK_KEY_Sinh_tha GDK_Sinh_tha
#define GDK_KEY_Sinh_thha GDK_Sinh_thha
#define GDK_KEY_Sinh_dha GDK_Sinh_dha
#define GDK_KEY_Sinh_dhha GDK_Sinh_dhha
#define GDK_KEY_Sinh_na GDK_Sinh_na
#define GDK_KEY_Sinh_ndha GDK_Sinh_ndha
#define GDK_KEY_Sinh_pa GDK_Sinh_pa
#define GDK_KEY_Sinh_pha GDK_Sinh_pha
#define GDK_KEY_Sinh_ba GDK_Sinh_ba
#define GDK_KEY_Sinh_bha GDK_Sinh_bha
#define GDK_KEY_Sinh_ma GDK_Sinh_ma
#define GDK_KEY_Sinh_mba GDK_Sinh_mba
#define GDK_KEY_Sinh_ya GDK_Sinh_ya
#define GDK_KEY_Sinh_ra GDK_Sinh_ra
#define GDK_KEY_Sinh_la GDK_Sinh_la
#define GDK_KEY_Sinh_va GDK_Sinh_va
#define GDK_KEY_Sinh_sha GDK_Sinh_sha
#define GDK_KEY_Sinh_ssha GDK_Sinh_ssha
#define GDK_KEY_Sinh_sa GDK_Sinh_sa
#define GDK_KEY_Sinh_ha GDK_Sinh_ha
#define GDK_KEY_Sinh_lla GDK_Sinh_lla
#define GDK_KEY_Sinh_fa GDK_Sinh_fa
#define GDK_KEY_Sinh_al GDK_Sinh_al
#define GDK_KEY_Sinh_aa2 GDK_Sinh_aa2
#define GDK_KEY_Sinh_ae2 GDK_Sinh_ae2
#define GDK_KEY_Sinh_aee2 GDK_Sinh_aee2
#define GDK_KEY_Sinh_i2 GDK_Sinh_i2
#define GDK_KEY_Sinh_ii2 GDK_Sinh_ii2
#define GDK_KEY_Sinh_u2 GDK_Sinh_u2
#define GDK_KEY_Sinh_uu2 GDK_Sinh_uu2
#define GDK_KEY_Sinh_ru2 GDK_Sinh_ru2
#define GDK_KEY_Sinh_e2 GDK_Sinh_e2
#define GDK_KEY_Sinh_ee2 GDK_Sinh_ee2
#define GDK_KEY_Sinh_ai2 GDK_Sinh_ai2
#define GDK_KEY_Sinh_o2 GDK_Sinh_o2
#define GDK_KEY_Sinh_oo2 GDK_Sinh_oo2
#define GDK_KEY_Sinh_au2 GDK_Sinh_au2
#define GDK_KEY_Sinh_lu2 GDK_Sinh_lu2
#define GDK_KEY_Sinh_ruu2 GDK_Sinh_ruu2
#define GDK_KEY_Sinh_luu2 GDK_Sinh_luu2
#define GDK_KEY_Sinh_kunddaliya GDK_Sinh_kunddaliya
#define GDK_KEY_ModeLock GDK_ModeLock
#define GDK_KEY_MonBrightnessUp GDK_MonBrightnessUp
#define GDK_KEY_MonBrightnessDown GDK_MonBrightnessDown
#define GDK_KEY_KbdLightOnOff GDK_KbdLightOnOff
#define GDK_KEY_KbdBrightnessUp GDK_KbdBrightnessUp
#define GDK_KEY_KbdBrightnessDown GDK_KbdBrightnessDown
#define GDK_KEY_Standby GDK_Standby
#define GDK_KEY_AudioLowerVolume GDK_AudioLowerVolume
#define GDK_KEY_AudioMute GDK_AudioMute
#define GDK_KEY_AudioRaiseVolume GDK_AudioRaiseVolume
#define GDK_KEY_AudioPlay GDK_AudioPlay
#define GDK_KEY_AudioStop GDK_AudioStop
#define GDK_KEY_AudioPrev GDK_AudioPrev
#define GDK_KEY_AudioNext GDK_AudioNext
#define GDK_KEY_HomePage GDK_HomePage
#define GDK_KEY_Mail GDK_Mail
#define GDK_KEY_Start GDK_Start
#define GDK_KEY_Search GDK_Search
#define GDK_KEY_AudioRecord GDK_AudioRecord
#define GDK_KEY_Calculator GDK_Calculator
#define GDK_KEY_Memo GDK_Memo
#define GDK_KEY_ToDoList GDK_ToDoList
#define GDK_KEY_Calendar GDK_Calendar
#define GDK_KEY_PowerDown GDK_PowerDown
#define GDK_KEY_ContrastAdjust GDK_ContrastAdjust
#define GDK_KEY_RockerUp GDK_RockerUp
#define GDK_KEY_RockerDown GDK_RockerDown
#define GDK_KEY_RockerEnter GDK_RockerEnter
#define GDK_KEY_Back GDK_Back
#define GDK_KEY_Forward GDK_Forward
#define GDK_KEY_Stop GDK_Stop
#define GDK_KEY_Refresh GDK_Refresh
#define GDK_KEY_PowerOff GDK_PowerOff
#define GDK_KEY_WakeUp GDK_WakeUp
#define GDK_KEY_Eject GDK_Eject
#define GDK_KEY_ScreenSaver GDK_ScreenSaver
#define GDK_KEY_WWW GDK_WWW
#define GDK_KEY_Sleep GDK_Sleep
#define GDK_KEY_Favorites GDK_Favorites
#define GDK_KEY_AudioPause GDK_AudioPause
#define GDK_KEY_AudioMedia GDK_AudioMedia
#define GDK_KEY_MyComputer GDK_MyComputer
#define GDK_KEY_VendorHome GDK_VendorHome
#define GDK_KEY_LightBulb GDK_LightBulb
#define GDK_KEY_Shop GDK_Shop
#define GDK_KEY_History GDK_History
#define GDK_KEY_OpenURL GDK_OpenURL
#define GDK_KEY_AddFavorite GDK_AddFavorite
#define GDK_KEY_HotLinks GDK_HotLinks
#define GDK_KEY_BrightnessAdjust GDK_BrightnessAdjust
#define GDK_KEY_Finance GDK_Finance
#define GDK_KEY_Community GDK_Community
#define GDK_KEY_AudioRewind GDK_AudioRewind
#define GDK_KEY_BackForward GDK_BackForward
#define GDK_KEY_Launch0 GDK_Launch0
#define GDK_KEY_Launch1 GDK_Launch1
#define GDK_KEY_Launch2 GDK_Launch2
#define GDK_KEY_Launch3 GDK_Launch3
#define GDK_KEY_Launch4 GDK_Launch4
#define GDK_KEY_Launch5 GDK_Launch5
#define GDK_KEY_Launch6 GDK_Launch6
#define GDK_KEY_Launch7 GDK_Launch7
#define GDK_KEY_Launch8 GDK_Launch8
#define GDK_KEY_Launch9 GDK_Launch9
#define GDK_KEY_LaunchA GDK_LaunchA
#define GDK_KEY_LaunchB GDK_LaunchB
#define GDK_KEY_LaunchC GDK_LaunchC
#define GDK_KEY_LaunchD GDK_LaunchD
#define GDK_KEY_LaunchE GDK_LaunchE
#define GDK_KEY_LaunchF GDK_LaunchF
#define GDK_KEY_ApplicationLeft GDK_ApplicationLeft
#define GDK_KEY_ApplicationRight GDK_ApplicationRight
#define GDK_KEY_Book GDK_Book
#define GDK_KEY_CD GDK_CD
#define GDK_KEY_WindowClear GDK_WindowClear
#define GDK_KEY_Close GDK_Close
#define GDK_KEY_Copy GDK_Copy
#define GDK_KEY_Cut GDK_Cut
#define GDK_KEY_Display GDK_Display
#define GDK_KEY_DOS GDK_DOS
#define GDK_KEY_Documents GDK_Documents
#define GDK_KEY_Excel GDK_Excel
#define GDK_KEY_Explorer GDK_Explorer
#define GDK_KEY_Game GDK_Game
#define GDK_KEY_Go GDK_Go
#define GDK_KEY_iTouch GDK_iTouch
#define GDK_KEY_LogOff GDK_LogOff
#define GDK_KEY_Market GDK_Market
#define GDK_KEY_Meeting GDK_Meeting
#define GDK_KEY_MenuKB GDK_MenuKB
#define GDK_KEY_MenuPB GDK_MenuPB
#define GDK_KEY_MySites GDK_MySites
#define GDK_KEY_New GDK_New
#define GDK_KEY_News GDK_News
#define GDK_KEY_OfficeHome GDK_OfficeHome
#define GDK_KEY_Open GDK_Open
#define GDK_KEY_Option GDK_Option
#define GDK_KEY_Paste GDK_Paste
#define GDK_KEY_Phone GDK_Phone
#define GDK_KEY_Reply GDK_Reply
#define GDK_KEY_Reload GDK_Reload
#define GDK_KEY_RotateWindows GDK_RotateWindows
#define GDK_KEY_RotationPB GDK_RotationPB
#define GDK_KEY_RotationKB GDK_RotationKB
#define GDK_KEY_Save GDK_Save
#define GDK_KEY_ScrollUp GDK_ScrollUp
#define GDK_KEY_ScrollDown GDK_ScrollDown
#define GDK_KEY_ScrollClick GDK_ScrollClick
#define GDK_KEY_Send GDK_Send
#define GDK_KEY_Spell GDK_Spell
#define GDK_KEY_SplitScreen GDK_SplitScreen
#define GDK_KEY_Support GDK_Support
#define GDK_KEY_TaskPane GDK_TaskPane
#define GDK_KEY_Terminal GDK_Terminal
#define GDK_KEY_Tools GDK_Tools
#define GDK_KEY_Travel GDK_Travel
#define GDK_KEY_UserPB GDK_UserPB
#define GDK_KEY_User1KB GDK_User1KB
#define GDK_KEY_User2KB GDK_User2KB
#define GDK_KEY_Video GDK_Video
#define GDK_KEY_WheelButton GDK_WheelButton
#define GDK_KEY_Word GDK_Word
#define GDK_KEY_Xfer GDK_Xfer
#define GDK_KEY_ZoomIn GDK_ZoomIn
#define GDK_KEY_ZoomOut GDK_ZoomOut
#define GDK_KEY_Away GDK_Away
#define GDK_KEY_Messenger GDK_Messenger
#define GDK_KEY_WebCam GDK_WebCam
#define GDK_KEY_MailForward GDK_MailForward
#define GDK_KEY_Pictures GDK_Pictures
#define GDK_KEY_Music GDK_Music
#define GDK_KEY_Battery GDK_Battery
#define GDK_KEY_Bluetooth GDK_Bluetooth
#define GDK_KEY_WLAN GDK_WLAN
#define GDK_KEY_UWB GDK_UWB
#define GDK_KEY_AudioForward GDK_AudioForward
#define GDK_KEY_AudioRepeat GDK_AudioRepeat
#define GDK_KEY_AudioRandomPlay GDK_AudioRandomPlay
#define GDK_KEY_Subtitle GDK_Subtitle
#define GDK_KEY_AudioCycleTrack GDK_AudioCycleTrack
#define GDK_KEY_CycleAngle GDK_CycleAngle
#define GDK_KEY_FrameBack GDK_FrameBack
#define GDK_KEY_FrameForward GDK_FrameForward
#define GDK_KEY_Time GDK_Time
#define GDK_KEY_SelectButton GDK_SelectButton
#define GDK_KEY_View GDK_View
#define GDK_KEY_TopMenu GDK_TopMenu
#define GDK_KEY_Red GDK_Red
#define GDK_KEY_Green GDK_Green
#define GDK_KEY_Yellow GDK_Yellow
#define GDK_KEY_Blue GDK_Blue
#define GDK_KEY_Suspend GDK_Suspend
#define GDK_KEY_Hibernate GDK_Hibernate
#define GDK_KEY_TouchpadToggle GDK_TouchpadToggle
#define GDK_KEY_TouchpadOn GDK_TouchpadOn
#define GDK_KEY_TouchpadOff GDK_TouchpadOff
#define GDK_KEY_Switch_VT_1 GDK_Switch_VT_1
#define GDK_KEY_Switch_VT_2 GDK_Switch_VT_2
#define GDK_KEY_Switch_VT_3 GDK_Switch_VT_3
#define GDK_KEY_Switch_VT_4 GDK_Switch_VT_4
#define GDK_KEY_Switch_VT_5 GDK_Switch_VT_5
#define GDK_KEY_Switch_VT_6 GDK_Switch_VT_6
#define GDK_KEY_Switch_VT_7 GDK_Switch_VT_7
#define GDK_KEY_Switch_VT_8 GDK_Switch_VT_8
#define GDK_KEY_Switch_VT_9 GDK_Switch_VT_9
#define GDK_KEY_Switch_VT_10 GDK_Switch_VT_10
#define GDK_KEY_Switch_VT_11 GDK_Switch_VT_11
#define GDK_KEY_Switch_VT_12 GDK_Switch_VT_12
#define GDK_KEY_Ungrab GDK_Ungrab
#define GDK_KEY_ClearGrab GDK_ClearGrab
#define GDK_KEY_Next_VMode GDK_Next_VMode
#define GDK_KEY_Prev_VMode GDK_Prev_VMode
#endif

#define gtk_widget_override_background_color(widget, state, color) \
  gtk_widget_modify_bg(widget, state, color)
#define gtk_widget_override_color(widget, state, color) \
  gtk_widget_modify_fg(widget, state, color)
#define gtk_widget_override_font(widget, font) \
  gtk_widget_modify_font(widget, font)

#define GdkRGBA GdkColor
#define gdk_rgba_parse(out, in) \
  gdk_color_parse(in, out)

#endif /* GTK_VERSION_MAJOR == 2 */
#endif
